Show / Hide Table of Contents

# Class SDL

##### Inheritance

System.Object
SDL

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public static class SDL

### Fields

| Improve this Doc View Source

#### AUDIO_F32

##### Declaration

    public const ushort AUDIO_F32 = 33056

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_F32LSB

##### Declaration

    public const ushort AUDIO_F32LSB = 33056

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_F32MSB

##### Declaration

    public const ushort AUDIO_F32MSB = 37152

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_F32SYS

##### Declaration

    public static readonly ushort AUDIO_F32SYS

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S16

##### Declaration

    public const ushort AUDIO_S16 = 32784

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S16LSB

##### Declaration

    public const ushort AUDIO_S16LSB = 32784

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S16MSB

##### Declaration

    public const ushort AUDIO_S16MSB = 36880

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S16SYS

##### Declaration

    public static readonly ushort AUDIO_S16SYS

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S32

##### Declaration

    public const ushort AUDIO_S32 = 32800

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S32LSB

##### Declaration

    public const ushort AUDIO_S32LSB = 32800

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S32MSB

##### Declaration

    public const ushort AUDIO_S32MSB = 36896

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S32SYS

##### Declaration

    public static readonly ushort AUDIO_S32SYS

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_S8

##### Declaration

    public const ushort AUDIO_S8 = 32776

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_U16

##### Declaration

    public const ushort AUDIO_U16 = 16

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_U16LSB

##### Declaration

    public const ushort AUDIO_U16LSB = 16

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_U16MSB

##### Declaration

    public const ushort AUDIO_U16MSB = 4112

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_U16SYS

##### Declaration

    public static readonly ushort AUDIO_U16SYS

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### AUDIO_U8

##### Declaration

    public const ushort AUDIO_U8 = 8

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RW_SEEK_CUR

##### Declaration

    public const int RW_SEEK_CUR = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RW_SEEK_END

##### Declaration

    public const int RW_SEEK_END = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RW_SEEK_SET

##### Declaration

    public const int RW_SEEK_SET = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_ANDROID_EXTERNAL_STORAGE_READ

##### Declaration

    public const int SDL_ANDROID_EXTERNAL_STORAGE_READ = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_ANDROID_EXTERNAL_STORAGE_WRITE

##### Declaration

    public const int SDL_ANDROID_EXTERNAL_STORAGE_WRITE = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_AUDIO_ALLOW_ANY_CHANGE

##### Declaration

    public const uint SDL_AUDIO_ALLOW_ANY_CHANGE = 15U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_AUDIO_ALLOW_CHANNELS_CHANGE

##### Declaration

    public const uint SDL_AUDIO_ALLOW_CHANNELS_CHANGE = 4U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_AUDIO_ALLOW_FORMAT_CHANGE

##### Declaration

    public const uint SDL_AUDIO_ALLOW_FORMAT_CHANGE = 2U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_AUDIO_ALLOW_FREQUENCY_CHANGE

##### Declaration

    public const uint SDL_AUDIO_ALLOW_FREQUENCY_CHANGE = 1U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_AUDIO_ALLOW_SAMPLES_CHANGE

##### Declaration

    public const uint SDL_AUDIO_ALLOW_SAMPLES_CHANGE = 8U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_AUDIO_MASK_BITSIZE

##### Declaration

    public const ushort SDL_AUDIO_MASK_BITSIZE = 255

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_AUDIO_MASK_DATATYPE

##### Declaration

    public const ushort SDL_AUDIO_MASK_DATATYPE = 256

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_AUDIO_MASK_ENDIAN

##### Declaration

    public const ushort SDL_AUDIO_MASK_ENDIAN = 4096

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_AUDIO_MASK_SIGNED

##### Declaration

    public const ushort SDL_AUDIO_MASK_SIGNED = 32768

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_BUTTON_LEFT

##### Declaration

    public const uint SDL_BUTTON_LEFT = 1U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_LMASK

##### Declaration

    public static readonly uint SDL_BUTTON_LMASK

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_MIDDLE

##### Declaration

    public const uint SDL_BUTTON_MIDDLE = 2U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_MMASK

##### Declaration

    public static readonly uint SDL_BUTTON_MMASK

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_RIGHT

##### Declaration

    public const uint SDL_BUTTON_RIGHT = 3U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_RMASK

##### Declaration

    public static readonly uint SDL_BUTTON_RMASK

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_X1

##### Declaration

    public const uint SDL_BUTTON_X1 = 4U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_X1MASK

##### Declaration

    public static readonly uint SDL_BUTTON_X1MASK

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_X2

##### Declaration

    public const uint SDL_BUTTON_X2 = 5U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BUTTON_X2MASK

##### Declaration

    public static readonly uint SDL_BUTTON_X2MASK

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_COMPILEDVERSION

##### Declaration

    public static readonly int SDL_COMPILEDVERSION

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_DISABLE

##### Declaration

    public const int SDL_DISABLE = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_DONTFREE

##### Declaration

    public const uint SDL_DONTFREE = 4U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_ENABLE

##### Declaration

    public const int SDL_ENABLE = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_HAPTIC_AUTOCENTER

##### Declaration

    public const ushort SDL_HAPTIC_AUTOCENTER = 8192

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_CARTESIAN

##### Declaration

    public const byte SDL_HAPTIC_CARTESIAN = 1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAPTIC_CONSTANT

##### Declaration

    public const ushort SDL_HAPTIC_CONSTANT = 1

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_CUSTOM

##### Declaration

    public const ushort SDL_HAPTIC_CUSTOM = 2048

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_DAMPER

##### Declaration

    public const ushort SDL_HAPTIC_DAMPER = 256

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_FRICTION

##### Declaration

    public const ushort SDL_HAPTIC_FRICTION = 1024

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_GAIN

##### Declaration

    public const ushort SDL_HAPTIC_GAIN = 4096

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_INERTIA

##### Declaration

    public const ushort SDL_HAPTIC_INERTIA = 512

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_INFINITY

##### Declaration

    public const uint SDL_HAPTIC_INFINITY = 4294967295U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_HAPTIC_LEFTRIGHT

##### Declaration

    public const ushort SDL_HAPTIC_LEFTRIGHT = 4

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_PAUSE

##### Declaration

    public const ushort SDL_HAPTIC_PAUSE = 32768

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_POLAR

##### Declaration

    public const byte SDL_HAPTIC_POLAR = 0

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAPTIC_SAWTOOTHDOWN

##### Declaration

    public const ushort SDL_HAPTIC_SAWTOOTHDOWN = 32

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_SAWTOOTHUP

##### Declaration

    public const ushort SDL_HAPTIC_SAWTOOTHUP = 16

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_SINE

##### Declaration

    public const ushort SDL_HAPTIC_SINE = 2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_SPHERICAL

##### Declaration

    public const byte SDL_HAPTIC_SPHERICAL = 2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAPTIC_SPRING

##### Declaration

    public const ushort SDL_HAPTIC_SPRING = 128

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_STATUS

##### Declaration

    public const ushort SDL_HAPTIC_STATUS = 16384

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAPTIC_TRIANGLE

##### Declaration

    public const ushort SDL_HAPTIC_TRIANGLE = 8

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_HAT_CENTERED

##### Declaration

    public const byte SDL_HAT_CENTERED = 0

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_DOWN

##### Declaration

    public const byte SDL_HAT_DOWN = 4

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_LEFT

##### Declaration

    public const byte SDL_HAT_LEFT = 8

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_LEFTDOWN

##### Declaration

    public const byte SDL_HAT_LEFTDOWN = 12

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_LEFTUP

##### Declaration

    public const byte SDL_HAT_LEFTUP = 9

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_RIGHT

##### Declaration

    public const byte SDL_HAT_RIGHT = 2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_RIGHTDOWN

##### Declaration

    public const byte SDL_HAT_RIGHTDOWN = 6

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_RIGHTUP

##### Declaration

    public const byte SDL_HAT_RIGHTUP = 3

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HAT_UP

##### Declaration

    public const byte SDL_HAT_UP = 1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_HINT_ACCELEROMETER_AS_JOYSTICK

##### Declaration

    public const string SDL_HINT_ACCELEROMETER_AS_JOYSTICK = "SDL_ACCELEROMETER_AS_JOYSTICK"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ALLOW_TOPMOST

##### Declaration

    public const string SDL_HINT_ALLOW_TOPMOST = "SDL_ALLOW_TOPMOST"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ANDROID_APK_EXPANSION_MAIN_FILE_VERSION

##### Declaration

    public const string SDL_HINT_ANDROID_APK_EXPANSION_MAIN_FILE_VERSION = "SDL_ANDROID_APK_EXPANSION_MAIN_FILE_VERSION"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ANDROID_APK_EXPANSION_PATCH_FILE_VERSION

##### Declaration

    public const string SDL_HINT_ANDROID_APK_EXPANSION_PATCH_FILE_VERSION = "SDL_ANDROID_APK_EXPANSION_PATCH_FILE_VERSION"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ANDROID_BLOCK_ON_PAUSE

##### Declaration

    public const string SDL_HINT_ANDROID_BLOCK_ON_PAUSE = "SDL_ANDROID_BLOCK_ON_PAUSE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ANDROID_SEPARATE_MOUSE_AND_TOUCH

##### Declaration

    public const string SDL_HINT_ANDROID_SEPARATE_MOUSE_AND_TOUCH = "SDL_ANDROID_SEPARATE_MOUSE_AND_TOUCH"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ANDROID_TRAP_BACK_BUTTON

##### Declaration

    public const string SDL_HINT_ANDROID_TRAP_BACK_BUTTON = "SDL_ANDROID_TRAP_BACK_BUTTON"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_APPLE_TV_REMOTE_ALLOW_ROTATION

##### Declaration

    public const string SDL_HINT_APPLE_TV_REMOTE_ALLOW_ROTATION = "SDL_APPLE_TV_REMOTE_ALLOW_ROTATION"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_AUDIO_RESAMPLING_MODE

##### Declaration

    public const string SDL_HINT_AUDIO_RESAMPLING_MODE = "SDL_AUDIO_RESAMPLING_MODE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_BMP_SAVE_LEGACY_FORMAT

##### Declaration

    public const string SDL_HINT_BMP_SAVE_LEGACY_FORMAT = "SDL_BMP_SAVE_LEGACY_FORMAT"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_CTRL_CLICK_EMULATE_RIGHT_CLICK

##### Declaration

    public const string SDL_HINT_CTRL_CLICK_EMULATE_RIGHT_CLICK = "SDL_CTRL_CLICK_EMULATE_RIGHT_CLICK"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_EMSCRIPTEN_KEYBOARD_ELEMENT

##### Declaration

    public const string SDL_HINT_EMSCRIPTEN_KEYBOARD_ELEMENT = "SDL_EMSCRIPTEN_KEYBOARD_ELEMENT"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ENABLE_STEAM_CONTROLLERS

##### Declaration

    public const string SDL_HINT_ENABLE_STEAM_CONTROLLERS = "SDL_ENABLE_STEAM_CONTROLLERS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_EVENT_LOGGING

##### Declaration

    public const string SDL_HINT_EVENT_LOGGING = "SDL_EVENT_LOGGING"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_FRAMEBUFFER_ACCELERATION

##### Declaration

    public const string SDL_HINT_FRAMEBUFFER_ACCELERATION = "SDL_FRAMEBUFFER_ACCELERATION"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_GAMECONTROLLERCONFIG

##### Declaration

    public const string SDL_HINT_GAMECONTROLLERCONFIG = "SDL_GAMECONTROLLERCONFIG"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_GAMECONTROLLERCONFIG_FILE

##### Declaration

    public const string SDL_HINT_GAMECONTROLLERCONFIG_FILE = "SDL_GAMECONTROLLERCONFIG_FILE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_GRAB_KEYBOARD

##### Declaration

    public const string SDL_HINT_GRAB_KEYBOARD = "SDL_GRAB_KEYBOARD"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_IDLE_TIMER_DISABLED

##### Declaration

    public const string SDL_HINT_IDLE_TIMER_DISABLED = "SDL_IOS_IDLE_TIMER_DISABLED"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_IME_INTERNAL_EDITING

##### Declaration

    public const string SDL_HINT_IME_INTERNAL_EDITING = "SDL_IME_INTERNAL_EDITING"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_IOS_HIDE_HOME_INDICATOR

##### Declaration

    public const string SDL_HINT_IOS_HIDE_HOME_INDICATOR = "SDL_IOS_HIDE_HOME_INDICATOR"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_ALLOW_BACKGROUND_EVENTS

##### Declaration

    public const string SDL_HINT_JOYSTICK_ALLOW_BACKGROUND_EVENTS = "SDL_JOYSTICK_ALLOW_BACKGROUND_EVENTS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_HIDAPI

##### Declaration

    public const string SDL_HINT_JOYSTICK_HIDAPI = "SDL_JOYSTICK_HIDAPI"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_HIDAPI_PS4

##### Declaration

    public const string SDL_HINT_JOYSTICK_HIDAPI_PS4 = "SDL_JOYSTICK_HIDAPI_PS4"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_HIDAPI_PS4_RUMBLE

##### Declaration

    public const string SDL_HINT_JOYSTICK_HIDAPI_PS4_RUMBLE = "SDL_JOYSTICK_HIDAPI_PS4_RUMBLE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_HIDAPI_STEAM

##### Declaration

    public const string SDL_HINT_JOYSTICK_HIDAPI_STEAM = "SDL_JOYSTICK_HIDAPI_STEAM"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_HIDAPI_SWITCH

##### Declaration

    public const string SDL_HINT_JOYSTICK_HIDAPI_SWITCH = "SDL_JOYSTICK_HIDAPI_SWITCH"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_JOYSTICK_HIDAPI_XBOX

##### Declaration

    public const string SDL_HINT_JOYSTICK_HIDAPI_XBOX = "SDL_JOYSTICK_HIDAPI_XBOX"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MAC_BACKGROUND_APP

##### Declaration

    public const string SDL_HINT_MAC_BACKGROUND_APP = "SDL_MAC_BACKGROUND_APP"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_DOUBLE_CLICK_RADIUS

##### Declaration

    public const string SDL_HINT_MOUSE_DOUBLE_CLICK_RADIUS = "SDL_MOUSE_DOUBLE_CLICK_RADIUS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_DOUBLE_CLICK_TIME

##### Declaration

    public const string SDL_HINT_MOUSE_DOUBLE_CLICK_TIME = "SDL_MOUSE_DOUBLE_CLICK_TIME"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_FOCUS_CLICKTHROUGH

##### Declaration

    public const string SDL_HINT_MOUSE_FOCUS_CLICKTHROUGH = "SDL_MOUSE_FOCUS_CLICKTHROUGH"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_NORMAL_SPEED_SCALE

##### Declaration

    public const string SDL_HINT_MOUSE_NORMAL_SPEED_SCALE = "SDL_MOUSE_NORMAL_SPEED_SCALE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_RELATIVE_MODE_WARP

##### Declaration

    public const string SDL_HINT_MOUSE_RELATIVE_MODE_WARP = "SDL_MOUSE_RELATIVE_MODE_WARP"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_RELATIVE_SPEED_SCALE

##### Declaration

    public const string SDL_HINT_MOUSE_RELATIVE_SPEED_SCALE = "SDL_MOUSE_RELATIVE_SPEED_SCALE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_MOUSE_TOUCH_EVENTS

##### Declaration

    public const string SDL_HINT_MOUSE_TOUCH_EVENTS = "SDL_MOUSE_TOUCH_EVENTS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_NO_SIGNAL_HANDLERS

##### Declaration

    public const string SDL_HINT_NO_SIGNAL_HANDLERS = "SDL_NO_SIGNAL_HANDLERS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_ORIENTATIONS

##### Declaration

    public const string SDL_HINT_ORIENTATIONS = "SDL_IOS_ORIENTATIONS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_BATCHING

##### Declaration

    public const string SDL_HINT_RENDER_BATCHING = "SDL_RENDER_BATCHING"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_DIRECT3D_THREADSAFE

##### Declaration

    public const string SDL_HINT_RENDER_DIRECT3D_THREADSAFE = "SDL_RENDER_DIRECT3D_THREADSAFE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_DRIVER

##### Declaration

    public const string SDL_HINT_RENDER_DRIVER = "SDL_RENDER_DRIVER"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_LOGICAL_SIZE_MODE

##### Declaration

    public const string SDL_HINT_RENDER_LOGICAL_SIZE_MODE = "SDL_RENDER_LOGICAL_SIZE_MODE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_OPENGL_SHADERS

##### Declaration

    public const string SDL_HINT_RENDER_OPENGL_SHADERS = "SDL_RENDER_OPENGL_SHADERS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_SCALE_QUALITY

##### Declaration

    public const string SDL_HINT_RENDER_SCALE_QUALITY = "SDL_RENDER_SCALE_QUALITY"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_RENDER_VSYNC

##### Declaration

    public const string SDL_HINT_RENDER_VSYNC = "SDL_RENDER_VSYNC"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_THREAD_STACK_SIZE

##### Declaration

    public const string SDL_HINT_THREAD_STACK_SIZE = "SDL_THREAD_STACK_SIZE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_TIMER_RESOLUTION

##### Declaration

    public const string SDL_HINT_TIMER_RESOLUTION = "SDL_TIMER_RESOLUTION"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_TOUCH_MOUSE_EVENTS

##### Declaration

    public const string SDL_HINT_TOUCH_MOUSE_EVENTS = "SDL_TOUCH_MOUSE_EVENTS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_TV_REMOTE_AS_JOYSTICK

##### Declaration

    public const string SDL_HINT_TV_REMOTE_AS_JOYSTICK = "SDL_TV_REMOTE_AS_JOYSTICK"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_ALLOW_SCREENSAVER

##### Declaration

    public const string SDL_HINT_VIDEO_ALLOW_SCREENSAVER = "SDL_VIDEO_ALLOW_SCREENSAVER"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_HIGHDPI_DISABLED

##### Declaration

    public const string SDL_HINT_VIDEO_HIGHDPI_DISABLED = "SDL_VIDEO_HIGHDPI_DISABLED"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_MAC_FULLSCREEN_SPACES

##### Declaration

    public const string SDL_HINT_VIDEO_MAC_FULLSCREEN_SPACES = "SDL_VIDEO_MAC_FULLSCREEN_SPACES"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS

##### Declaration

    public const string SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS = "SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_WIN_D3DCOMPILER

##### Declaration

    public const string SDL_HINT_VIDEO_WIN_D3DCOMPILER = "SDL_VIDEO_WIN_D3DCOMPILER"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_WINDOW_SHARE_PIXEL_FORMAT

##### Declaration

    public const string SDL_HINT_VIDEO_WINDOW_SHARE_PIXEL_FORMAT = "SDL_VIDEO_WINDOW_SHARE_PIXEL_FORMAT"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_X11_NET_WM_PING

##### Declaration

    public const string SDL_HINT_VIDEO_X11_NET_WM_PING = "SDL_VIDEO_X11_NET_WM_PING"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_X11_XINERAMA

##### Declaration

    public const string SDL_HINT_VIDEO_X11_XINERAMA = "SDL_VIDEO_X11_XINERAMA"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_X11_XRANDR

##### Declaration

    public const string SDL_HINT_VIDEO_X11_XRANDR = "SDL_VIDEO_X11_XRANDR"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_VIDEO_X11_XVIDMODE

##### Declaration

    public const string SDL_HINT_VIDEO_X11_XVIDMODE = "SDL_VIDEO_X11_XVIDMODE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WAVE_FACT_CHUNK

##### Declaration

    public const string SDL_HINT_WAVE_FACT_CHUNK = "SDL_WAVE_FACT_CHUNK"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WAVE_RIFF_CHUNK_SIZE

##### Declaration

    public const string SDL_HINT_WAVE_RIFF_CHUNK_SIZE = "SDL_WAVE_RIFF_CHUNK_SIZE"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WAVE_TRUNCATION

##### Declaration

    public const string SDL_HINT_WAVE_TRUNCATION = "SDL_WAVE_TRUNCATION"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINDOW_FRAME_USABLE_WHILE_CURSOR_HIDDEN

##### Declaration

    public const string SDL_HINT_WINDOW_FRAME_USABLE_WHILE_CURSOR_HIDDEN = "SDL_WINDOW_FRAME_USABLE_WHILE_CURSOR_HIDDEN"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINDOWS_DISABLE_THREAD_NAMING

##### Declaration

    public const string SDL_HINT_WINDOWS_DISABLE_THREAD_NAMING = "SDL_WINDOWS_DISABLE_THREAD_NAMING"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP

##### Declaration

    public const string SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP = "SDL_WINDOWS_ENABLE_MESSAGELOOP"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINDOWS_INTRESOURCE_ICON

##### Declaration

    public const string SDL_HINT_WINDOWS_INTRESOURCE_ICON = "SDL_WINDOWS_INTRESOURCE_ICON"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINDOWS_INTRESOURCE_ICON_SMALL

##### Declaration

    public const string SDL_HINT_WINDOWS_INTRESOURCE_ICON_SMALL = "SDL_WINDOWS_INTRESOURCE_ICON_SMALL"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINDOWS_NO_CLOSE_ON_ALT_F4

##### Declaration

    public const string SDL_HINT_WINDOWS_NO_CLOSE_ON_ALT_F4 = "SDL_WINDOWS_NO_CLOSE_ON_ALT_F4"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINRT_HANDLE_BACK_BUTTON

##### Declaration

    public const string SDL_HINT_WINRT_HANDLE_BACK_BUTTON = "SDL_WINRT_HANDLE_BACK_BUTTON"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINRT_PRIVACY_POLICY_LABEL

##### Declaration

    public const string SDL_HINT_WINRT_PRIVACY_POLICY_LABEL = "SDL_WINRT_PRIVACY_POLICY_LABEL"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_WINRT_PRIVACY_POLICY_URL

##### Declaration

    public const string SDL_HINT_WINRT_PRIVACY_POLICY_URL = "SDL_WINRT_PRIVACY_POLICY_URL"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_XINPUT_ENABLED

##### Declaration

    public const string SDL_HINT_XINPUT_ENABLED = "SDL_XINPUT_ENABLED"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_HINT_XINPUT_USE_OLD_JOYSTICK_MAPPING

##### Declaration

    public const string SDL_HINT_XINPUT_USE_OLD_JOYSTICK_MAPPING = "SDL_XINPUT_USE_OLD_JOYSTICK_MAPPING"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_IGNORE

##### Declaration

    public const int SDL_IGNORE = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_INIT_AUDIO

##### Declaration

    public const uint SDL_INIT_AUDIO = 16U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_EVENTS

##### Declaration

    public const uint SDL_INIT_EVENTS = 16384U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_EVERYTHING

##### Declaration

    public const uint SDL_INIT_EVERYTHING = 62001U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_GAMECONTROLLER

##### Declaration

    public const uint SDL_INIT_GAMECONTROLLER = 8192U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_HAPTIC

##### Declaration

    public const uint SDL_INIT_HAPTIC = 4096U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_JOYSTICK

##### Declaration

    public const uint SDL_INIT_JOYSTICK = 512U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_NOPARACHUTE

##### Declaration

    public const uint SDL_INIT_NOPARACHUTE = 1048576U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_SENSOR

##### Declaration

    public const uint SDL_INIT_SENSOR = 32768U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_TIMER

##### Declaration

    public const uint SDL_INIT_TIMER = 1U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_INIT_VIDEO

##### Declaration

    public const uint SDL_INIT_VIDEO = 32U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_APPLICATION

##### Declaration

    public const int SDL_LOG_CATEGORY_APPLICATION = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_ASSERT

##### Declaration

    public const int SDL_LOG_CATEGORY_ASSERT = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_AUDIO

##### Declaration

    public const int SDL_LOG_CATEGORY_AUDIO = 4

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_CUSTOM

##### Declaration

    public const int SDL_LOG_CATEGORY_CUSTOM = 19

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_ERROR

##### Declaration

    public const int SDL_LOG_CATEGORY_ERROR = 1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_INPUT

##### Declaration

    public const int SDL_LOG_CATEGORY_INPUT = 7

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RENDER

##### Declaration

    public const int SDL_LOG_CATEGORY_RENDER = 6

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED1

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED1 = 9

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED10

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED10 = 18

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED2

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED2 = 10

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED3

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED3 = 11

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED4

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED4 = 12

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED5

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED5 = 13

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED6

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED6 = 14

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED7

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED7 = 15

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED8

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED8 = 16

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_RESERVED9

##### Declaration

    public const int SDL_LOG_CATEGORY_RESERVED9 = 17

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_SYSTEM

##### Declaration

    public const int SDL_LOG_CATEGORY_SYSTEM = 3

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_TEST

##### Declaration

    public const int SDL_LOG_CATEGORY_TEST = 8

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_LOG_CATEGORY_VIDEO

##### Declaration

    public const int SDL_LOG_CATEGORY_VIDEO = 5

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_MAJOR_VERSION

##### Declaration

    public const int SDL_MAJOR_VERSION = 2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_MINOR_VERSION

##### Declaration

    public const int SDL_MINOR_VERSION = 0

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_MIX_MAXVOLUME

##### Declaration

    public const int SDL_MIX_MAXVOLUME = 128

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_PATCHLEVEL

##### Declaration

    public const int SDL_PATCHLEVEL = 10

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ABGR1555

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ABGR1555

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ABGR4444

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ABGR4444

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ABGR8888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ABGR8888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ARGB1555

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ARGB1555

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ARGB2101010

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ARGB2101010

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ARGB4444

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ARGB4444

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_ARGB8888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_ARGB8888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGR24

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGR24

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGR555

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGR555

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGR565

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGR565

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGR888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGR888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGRA4444

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGRA4444

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGRA5551

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGRA5551

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGRA8888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGRA8888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_BGRX8888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_BGRX8888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_INDEX1LSB

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_INDEX1LSB

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_INDEX1MSB

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_INDEX1MSB

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_INDEX4LSB

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_INDEX4LSB

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_INDEX4MSB

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_INDEX4MSB

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_INDEX8

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_INDEX8

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_IYUV

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_IYUV

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGB24

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGB24

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGB332

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGB332

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGB444

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGB444

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGB555

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGB555

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGB565

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGB565

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGB888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGB888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGBA4444

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGBA4444

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGBA5551

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGBA5551

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGBA8888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGBA8888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_RGBX8888

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_RGBX8888

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_UNKNOWN

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_UNKNOWN

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_UYVY

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_UYVY

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_YUY2

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_YUY2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_YV12

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_YV12

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PIXELFORMAT_YVYU

##### Declaration

    public static readonly uint SDL_PIXELFORMAT_YVYU

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PREALLOC

##### Declaration

    public const uint SDL_PREALLOC = 1U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_PRESSED

##### Declaration

    public const byte SDL_PRESSED = 1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_QUERY

##### Declaration

    public const int SDL_QUERY = -1

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_RELEASED

##### Declaration

    public const byte SDL_RELEASED = 0

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_RLEACCEL

##### Declaration

    public const uint SDL_RLEACCEL = 2U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_RWOPS_JNIFILE

##### Declaration

    public const uint SDL_RWOPS_JNIFILE = 3U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_RWOPS_MEMORY

##### Declaration

    public const uint SDL_RWOPS_MEMORY = 4U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_RWOPS_MEMORY_RO

##### Declaration

    public const uint SDL_RWOPS_MEMORY_RO = 5U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_RWOPS_STDFILE

##### Declaration

    public const uint SDL_RWOPS_STDFILE = 2U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_RWOPS_UNKNOWN

##### Declaration

    public const uint SDL_RWOPS_UNKNOWN = 0U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_RWOPS_WINFILE

##### Declaration

    public const uint SDL_RWOPS_WINFILE = 1U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_STANDARD_GRAVITY

##### Declaration

    public const float SDL_STANDARD_GRAVITY = 9.80665F

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SDL_SWSURFACE

##### Declaration

    public const uint SDL_SWSURFACE = 0U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_TEXTEDITINGEVENT_TEXT_SIZE

##### Declaration

    public const int SDL_TEXTEDITINGEVENT_TEXT_SIZE = 32

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_TEXTINPUTEVENT_TEXT_SIZE

##### Declaration

    public const int SDL_TEXTINPUTEVENT_TEXT_SIZE = 32

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_TOUCH_MOUSEID

##### Declaration

    public const uint SDL_TOUCH_MOUSEID = 4294967295U

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_WINDOWPOS_CENTERED

##### Declaration

    public const int SDL_WINDOWPOS_CENTERED = 805240832

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_WINDOWPOS_CENTERED_MASK

##### Declaration

    public const int SDL_WINDOWPOS_CENTERED_MASK = 805240832

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_WINDOWPOS_UNDEFINED

##### Declaration

    public const int SDL_WINDOWPOS_UNDEFINED = 536805376

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_WINDOWPOS_UNDEFINED_MASK

##### Declaration

    public const int SDL_WINDOWPOS_UNDEFINED_MASK = 536805376

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDLK_SCANCODE_MASK

##### Declaration

    public const int SDLK_SCANCODE_MASK = 1073741824

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### SDL_AddEventWatch(SDL.SDL_EventFilter, IntPtr)

##### Declaration

    public static extern void SDL_AddEventWatch(SDL.SDL_EventFilter filter, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventFilter | filter |
System.IntPtr | userdata |

#### SDL_AddTimer(UInt32, SDL.SDL_TimerCallback, IntPtr)

##### Declaration

    public static extern int SDL_AddTimer(uint interval, SDL.SDL_TimerCallback callback, IntPtr param)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | interval |
SDL.SDL_TimerCallback | callback |
System.IntPtr | param |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_AllocFormat(UInt32)

##### Declaration

    public static extern IntPtr SDL_AllocFormat(uint pixel_format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | pixel_format |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_AllocPalette(Int32)

##### Declaration

    public static extern IntPtr SDL_AllocPalette(int ncolors)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | ncolors |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_AllocRW()

##### Declaration

    public static extern IntPtr SDL_AllocRW()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_AndroidBackButton()

##### Declaration

    public static extern void SDL_AndroidBackButton()

#### SDL_AndroidGetActivity()

##### Declaration

    public static extern IntPtr SDL_AndroidGetActivity()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_AndroidGetExternalStoragePath()

##### Declaration

    public static string SDL_AndroidGetExternalStoragePath()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_AndroidGetExternalStorageState()

##### Declaration

    public static extern int SDL_AndroidGetExternalStorageState()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_AndroidGetInternalStoragePath()

##### Declaration

    public static string SDL_AndroidGetInternalStoragePath()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_AndroidGetJNIEnv()

##### Declaration

    public static extern IntPtr SDL_AndroidGetJNIEnv()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_AUDIO_BITSIZE(UInt16)

##### Declaration

    public static ushort SDL_AUDIO_BITSIZE(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_AUDIO_ISBIGENDIAN(UInt16)

##### Declaration

    public static bool SDL_AUDIO_ISBIGENDIAN(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_AUDIO_ISFLOAT(UInt16)

##### Declaration

    public static bool SDL_AUDIO_ISFLOAT(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_AUDIO_ISINT(UInt16)

##### Declaration

    public static bool SDL_AUDIO_ISINT(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_AUDIO_ISLITTLEENDIAN(UInt16)

##### Declaration

    public static bool SDL_AUDIO_ISLITTLEENDIAN(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_AUDIO_ISSIGNED(UInt16)

##### Declaration

    public static bool SDL_AUDIO_ISSIGNED(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_AUDIO_ISUNSIGNED(UInt16)

##### Declaration

    public static bool SDL_AUDIO_ISUNSIGNED(ushort x)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | x |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_AudioInit(String)

##### Declaration

    public static int SDL_AudioInit(string driver_name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | driver_name |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_AudioQuit()

##### Declaration

    public static extern void SDL_AudioQuit()

#### SDL_AudioStreamAvailable(IntPtr)

##### Declaration

    public static extern int SDL_AudioStreamAvailable(IntPtr stream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | stream |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_AudioStreamClear(IntPtr)

##### Declaration

    public static extern void SDL_AudioStreamClear(IntPtr stream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | stream |

#### SDL_AudioStreamGet(IntPtr, IntPtr, Int32)

##### Declaration

    public static extern int SDL_AudioStreamGet(IntPtr stream, IntPtr buf, int len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | stream |
System.IntPtr | buf |
System.Int32 | len |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_AudioStreamPut(IntPtr, IntPtr, Int32)

##### Declaration

    public static extern int SDL_AudioStreamPut(IntPtr stream, IntPtr buf, int len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | stream |
System.IntPtr | buf |
System.Int32 | len |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_BITSPERPIXEL(UInt32)

##### Declaration

    public static byte SDL_BITSPERPIXEL(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_BlitScaled(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_BlitScaled(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitScaled(IntPtr, ref SDL.SDL_Rect, IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_BlitScaled(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitScaled(IntPtr, IntPtr, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_BlitScaled(IntPtr src, IntPtr srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.IntPtr | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitScaled(IntPtr, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_BlitScaled(IntPtr src, IntPtr srcrect, IntPtr dst, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.IntPtr | srcrect |
System.IntPtr | dst |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitSurface(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_BlitSurface(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitSurface(IntPtr, ref SDL.SDL_Rect, IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_BlitSurface(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitSurface(IntPtr, IntPtr, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_BlitSurface(IntPtr src, IntPtr srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.IntPtr | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_BlitSurface(IntPtr, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_BlitSurface(IntPtr src, IntPtr srcrect, IntPtr dst, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.IntPtr | srcrect |
System.IntPtr | dst |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_BUTTON(UInt32)

##### Declaration

    public static uint SDL_BUTTON(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_BYTESPERPIXEL(UInt32)

##### Declaration

    public static byte SDL_BYTESPERPIXEL(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_CalculateGammaRamp(Single, UInt16[])

##### Declaration

    public static extern void SDL_CalculateGammaRamp(float gamma, ushort[] ramp)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | gamma |
System.UInt16[] | ramp |

#### SDL_CaptureMouse(SDL.SDL_bool)

##### Declaration

    public static extern int SDL_CaptureMouse(SDL.SDL_bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_bool | enabled |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_ClearError()

##### Declaration

    public static extern void SDL_ClearError()

#### SDL_ClearHints()

##### Declaration

    public static extern void SDL_ClearHints()

#### SDL_ClearQueuedAudio(UInt32)

##### Declaration

    public static extern void SDL_ClearQueuedAudio(uint dev)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |

#### SDL_CloseAudio()

##### Declaration

    public static extern void SDL_CloseAudio()

#### SDL_CloseAudioDevice(UInt32)

##### Declaration

    public static extern void SDL_CloseAudioDevice(uint dev)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |

#### SDL_ComposeCustomBlendMode(SDL.SDL_BlendFactor, SDL.SDL_BlendFactor, SDL.SDL_BlendOperation, SDL.SDL_BlendFactor, SDL.SDL_BlendFactor, SDL.SDL_BlendOperation)

##### Declaration

    public static extern SDL.SDL_BlendMode SDL_ComposeCustomBlendMode(SDL.SDL_BlendFactor srcColorFactor, SDL.SDL_BlendFactor dstColorFactor, SDL.SDL_BlendOperation colorOperation, SDL.SDL_BlendFactor srcAlphaFactor, SDL.SDL_BlendFactor dstAlphaFactor, SDL.SDL_BlendOperation alphaOperation)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_BlendFactor | srcColorFactor |
SDL.SDL_BlendFactor | dstColorFactor |
SDL.SDL_BlendOperation | colorOperation |
SDL.SDL_BlendFactor | srcAlphaFactor |
SDL.SDL_BlendFactor | dstAlphaFactor |
SDL.SDL_BlendOperation | alphaOperation |

##### Returns

Type | Description
--- | ---
SDL.SDL_BlendMode |

#### SDL_ConvertPixels(Int32, Int32, UInt32, IntPtr, Int32, UInt32, IntPtr, Int32)

##### Declaration

    public static extern int SDL_ConvertPixels(int width, int height, uint src_format, IntPtr src, int src_pitch, uint dst_format, IntPtr dst, int dst_pitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | width |
System.Int32 | height |
System.UInt32 | src_format |
System.IntPtr | src |
System.Int32 | src_pitch |
System.UInt32 | dst_format |
System.IntPtr | dst |
System.Int32 | dst_pitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_ConvertSurface(IntPtr, IntPtr, UInt32)

##### Declaration

    public static extern IntPtr SDL_ConvertSurface(IntPtr src, IntPtr fmt, uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.IntPtr | fmt |
System.UInt32 | flags |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_ConvertSurfaceFormat(IntPtr, UInt32, UInt32)

##### Declaration

    public static extern IntPtr SDL_ConvertSurfaceFormat(IntPtr src, uint pixel_format, uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
System.UInt32 | pixel_format |
System.UInt32 | flags |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateColorCursor(IntPtr, Int32, Int32)

##### Declaration

    public static extern IntPtr SDL_CreateColorCursor(IntPtr surface, int hot_x, int hot_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Int32 | hot_x |
System.Int32 | hot_y |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateCursor(IntPtr, IntPtr, Int32, Int32, Int32, Int32)

##### Declaration

    public static extern IntPtr SDL_CreateCursor(IntPtr data, IntPtr mask, int w, int h, int hot_x, int hot_y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | data |
System.IntPtr | mask |
System.Int32 | w |
System.Int32 | h |
System.Int32 | hot_x |
System.Int32 | hot_y |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateRenderer(IntPtr, Int32, SDL.SDL_RendererFlags)

##### Declaration

    public static extern IntPtr SDL_CreateRenderer(IntPtr window, int index, SDL.SDL_RendererFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | index |
SDL.SDL_RendererFlags | flags |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateRGBSurface(UInt32, Int32, Int32, Int32, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    public static extern IntPtr SDL_CreateRGBSurface(uint flags, int width, int height, int depth, uint Rmask, uint Gmask, uint Bmask, uint Amask)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | flags |
System.Int32 | width |
System.Int32 | height |
System.Int32 | depth |
System.UInt32 | Rmask |
System.UInt32 | Gmask |
System.UInt32 | Bmask |
System.UInt32 | Amask |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateRGBSurfaceFrom(IntPtr, Int32, Int32, Int32, Int32, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    public static extern IntPtr SDL_CreateRGBSurfaceFrom(IntPtr pixels, int width, int height, int depth, int pitch, uint Rmask, uint Gmask, uint Bmask, uint Amask)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | pixels |
System.Int32 | width |
System.Int32 | height |
System.Int32 | depth |
System.Int32 | pitch |
System.UInt32 | Rmask |
System.UInt32 | Gmask |
System.UInt32 | Bmask |
System.UInt32 | Amask |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateRGBSurfaceWithFormat(UInt32, Int32, Int32, Int32, UInt32)

##### Declaration

    public static extern IntPtr SDL_CreateRGBSurfaceWithFormat(uint flags, int width, int height, int depth, uint format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | flags |
System.Int32 | width |
System.Int32 | height |
System.Int32 | depth |
System.UInt32 | format |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateRGBSurfaceWithFormatFrom(IntPtr, Int32, Int32, Int32, Int32, UInt32)

##### Declaration

    public static extern IntPtr SDL_CreateRGBSurfaceWithFormatFrom(IntPtr pixels, int width, int height, int depth, int pitch, uint format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | pixels |
System.Int32 | width |
System.Int32 | height |
System.Int32 | depth |
System.Int32 | pitch |
System.UInt32 | format |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateSoftwareRenderer(IntPtr)

##### Declaration

    public static extern IntPtr SDL_CreateSoftwareRenderer(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateSystemCursor(SDL.SDL_SystemCursor)

##### Declaration

    public static extern IntPtr SDL_CreateSystemCursor(SDL.SDL_SystemCursor id)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_SystemCursor | id |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateTexture(IntPtr, UInt32, Int32, Int32, Int32)

##### Declaration

    public static extern IntPtr SDL_CreateTexture(IntPtr renderer, uint format, int access, int w, int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.UInt32 | format |
System.Int32 | access |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateTextureFromSurface(IntPtr, IntPtr)

##### Declaration

    public static extern IntPtr SDL_CreateTextureFromSurface(IntPtr renderer, IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | surface |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_CreateWindow(String, Int32, Int32, Int32, Int32, SDL.SDL_WindowFlags)

##### Declaration

    public static IntPtr SDL_CreateWindow(string title, int x, int y, int w, int h, SDL.SDL_WindowFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title |
System.Int32 | x |
System.Int32 | y |
System.Int32 | w |
System.Int32 | h |
SDL.SDL_WindowFlags | flags |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_CreateWindowAndRenderer(Int32, Int32, SDL.SDL_WindowFlags, out IntPtr, out IntPtr)

##### Declaration

    public static extern int SDL_CreateWindowAndRenderer(int width, int height, SDL.SDL_WindowFlags window_flags, out IntPtr window, out IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | width |
System.Int32 | height |
SDL.SDL_WindowFlags | window_flags |
System.IntPtr | window |
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_CreateWindowFrom(IntPtr)

##### Declaration

    public static extern IntPtr SDL_CreateWindowFrom(IntPtr data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | data |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_DEFINE_PIXELFORMAT(SDL.SDL_PIXELTYPE_ENUM, SDL.SDL_PIXELORDER_ENUM, SDL.SDL_PACKEDLAYOUT_ENUM, Byte, Byte)

##### Declaration

    public static uint SDL_DEFINE_PIXELFORMAT(SDL.SDL_PIXELTYPE_ENUM type, SDL.SDL_PIXELORDER_ENUM order, SDL.SDL_PACKEDLAYOUT_ENUM layout, byte bits, byte bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_PIXELTYPE_ENUM | type |
SDL.SDL_PIXELORDER_ENUM | order |
SDL.SDL_PACKEDLAYOUT_ENUM | layout |
System.Byte | bits |
System.Byte | bytes |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_DEFINE_PIXELFOURCC(Byte, Byte, Byte, Byte)

##### Declaration

    public static uint SDL_DEFINE_PIXELFOURCC(byte A, byte B, byte C, byte D)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | A |
System.Byte | B |
System.Byte | C |
System.Byte | D |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_Delay(UInt32)

##### Declaration

    public static extern void SDL_Delay(uint ms)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | ms |

#### SDL_DelEventWatch(SDL.SDL_EventFilter, IntPtr)

##### Declaration

    public static extern void SDL_DelEventWatch(SDL.SDL_EventFilter filter, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventFilter | filter |
System.IntPtr | userdata |

#### SDL_DequeueAudio(UInt32, IntPtr, UInt32)

##### Declaration

    public static extern uint SDL_DequeueAudio(uint dev, IntPtr data, uint len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |
System.IntPtr | data |
System.UInt32 | len |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_DestroyRenderer(IntPtr)

##### Declaration

    public static extern void SDL_DestroyRenderer(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

#### SDL_DestroyTexture(IntPtr)

##### Declaration

    public static extern void SDL_DestroyTexture(IntPtr texture)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |

#### SDL_DestroyWindow(IntPtr)

##### Declaration

    public static extern void SDL_DestroyWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_DisableScreenSaver()

##### Declaration

    public static extern void SDL_DisableScreenSaver()

#### SDL_DuplicateSurface(IntPtr)

##### Declaration

    public static extern IntPtr SDL_DuplicateSurface(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_EnableScreenSaver()

##### Declaration

    public static extern void SDL_EnableScreenSaver()

#### SDL_EnclosePoints(SDL.SDL_Point[], Int32, ref SDL.SDL_Rect, out SDL.SDL_Rect)

##### Declaration

    public static extern SDL.SDL_bool SDL_EnclosePoints(SDL.SDL_Point[] points, int count, ref SDL.SDL_Rect clip, out SDL.SDL_Rect result)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Point[] | points |
System.Int32 | count |
SDL.SDL_Rect | clip |
SDL.SDL_Rect | result |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_EventState(SDL.SDL_EventType, Int32)

##### Declaration

    public static extern byte SDL_EventState(SDL.SDL_EventType type, int state)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventType | type |
System.Int32 | state |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_FillRect(IntPtr, ref SDL.SDL_Rect, UInt32)

##### Declaration

    public static extern int SDL_FillRect(IntPtr dst, ref SDL.SDL_Rect rect, uint color)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
SDL.SDL_Rect | rect |
System.UInt32 | color |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_FillRect(IntPtr, IntPtr, UInt32)

##### Declaration

    public static extern int SDL_FillRect(IntPtr dst, IntPtr rect, uint color)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.IntPtr | rect |
System.UInt32 | color |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_FillRects(IntPtr, SDL.SDL_Rect[], Int32, UInt32)

##### Declaration

    public static extern int SDL_FillRects(IntPtr dst, SDL.SDL_Rect[] rects, int count, uint color)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
SDL.SDL_Rect[] | rects |
System.Int32 | count |
System.UInt32 | color |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_FilterEvents(SDL.SDL_EventFilter, IntPtr)

##### Declaration

    public static extern void SDL_FilterEvents(SDL.SDL_EventFilter filter, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventFilter | filter |
System.IntPtr | userdata |

#### SDL_FlushEvent(SDL.SDL_EventType)

##### Declaration

    public static extern void SDL_FlushEvent(SDL.SDL_EventType type)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventType | type |

#### SDL_FlushEvents(SDL.SDL_EventType, SDL.SDL_EventType)

##### Declaration

    public static extern void SDL_FlushEvents(SDL.SDL_EventType min, SDL.SDL_EventType max)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventType | min |
SDL.SDL_EventType | max |

| Improve this Doc View Source

#### SDL_FOURCC(Byte, Byte, Byte, Byte)

##### Declaration

    public static uint SDL_FOURCC(byte A, byte B, byte C, byte D)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | A |
System.Byte | B |
System.Byte | C |
System.Byte | D |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_FreeAudioStream(IntPtr)

##### Declaration

    public static extern void SDL_FreeAudioStream(IntPtr stream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | stream |

#### SDL_FreeCursor(IntPtr)

##### Declaration

    public static extern void SDL_FreeCursor(IntPtr cursor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | cursor |

#### SDL_FreeFormat(IntPtr)

##### Declaration

    public static extern void SDL_FreeFormat(IntPtr format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | format |

#### SDL_FreePalette(IntPtr)

##### Declaration

    public static extern void SDL_FreePalette(IntPtr palette)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | palette |

#### SDL_FreeRW(IntPtr)

##### Declaration

    public static extern void SDL_FreeRW(IntPtr area)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | area |

#### SDL_FreeSurface(IntPtr)

##### Declaration

    public static extern void SDL_FreeSurface(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

#### SDL_FreeWAV(IntPtr)

##### Declaration

    public static extern void SDL_FreeWAV(IntPtr audio_buf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | audio_buf |

| Improve this Doc View Source

#### SDL_GameControllerAddMapping(String)

##### Declaration

    public static int SDL_GameControllerAddMapping(string mappingString)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | mappingString |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_GameControllerAddMappingsFromFile(String)

##### Declaration

    public static int SDL_GameControllerAddMappingsFromFile(string file)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GameControllerClose(IntPtr)

##### Declaration

    public static extern void SDL_GameControllerClose(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

#### SDL_GameControllerEventState(Int32)

##### Declaration

    public static extern int SDL_GameControllerEventState(int state)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | state |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GameControllerFromInstanceID(Int32)

##### Declaration

    public static extern IntPtr SDL_GameControllerFromInstanceID(int joyid)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | joyid |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GameControllerGetAttached(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_GameControllerGetAttached(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_GameControllerGetAxis(IntPtr, SDL.SDL_GameControllerAxis)

##### Declaration

    public static extern short SDL_GameControllerGetAxis(IntPtr gamecontroller, SDL.SDL_GameControllerAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |
SDL.SDL_GameControllerAxis | axis |

##### Returns

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### SDL_GameControllerGetAxisFromString(String)

##### Declaration

    public static SDL.SDL_GameControllerAxis SDL_GameControllerGetAxisFromString(string pchString)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pchString |

##### Returns

Type | Description
--- | ---
SDL.SDL_GameControllerAxis |

| Improve this Doc View Source

#### SDL_GameControllerGetBindForAxis(IntPtr, SDL.SDL_GameControllerAxis)

##### Declaration

    public static SDL.SDL_GameControllerButtonBind SDL_GameControllerGetBindForAxis(IntPtr gamecontroller, SDL.SDL_GameControllerAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |
SDL.SDL_GameControllerAxis | axis |

##### Returns

Type | Description
--- | ---
SDL.SDL_GameControllerButtonBind |

| Improve this Doc View Source

#### SDL_GameControllerGetBindForButton(IntPtr, SDL.SDL_GameControllerButton)

##### Declaration

    public static SDL.SDL_GameControllerButtonBind SDL_GameControllerGetBindForButton(IntPtr gamecontroller, SDL.SDL_GameControllerButton button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |
SDL.SDL_GameControllerButton | button |

##### Returns

Type | Description
--- | ---
SDL.SDL_GameControllerButtonBind |

#### SDL_GameControllerGetButton(IntPtr, SDL.SDL_GameControllerButton)

##### Declaration

    public static extern byte SDL_GameControllerGetButton(IntPtr gamecontroller, SDL.SDL_GameControllerButton button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |
SDL.SDL_GameControllerButton | button |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_GameControllerGetButtonFromString(String)

##### Declaration

    public static SDL.SDL_GameControllerButton SDL_GameControllerGetButtonFromString(string pchString)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pchString |

##### Returns

Type | Description
--- | ---
SDL.SDL_GameControllerButton |

#### SDL_GameControllerGetJoystick(IntPtr)

##### Declaration

    public static extern IntPtr SDL_GameControllerGetJoystick(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GameControllerGetProduct(IntPtr)

##### Declaration

    public static extern ushort SDL_GameControllerGetProduct(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_GameControllerGetProductVersion(IntPtr)

##### Declaration

    public static extern ushort SDL_GameControllerGetProductVersion(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_GameControllerGetStringForAxis(SDL.SDL_GameControllerAxis)

##### Declaration

    public static string SDL_GameControllerGetStringForAxis(SDL.SDL_GameControllerAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_GameControllerAxis | axis |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GameControllerGetStringForButton(SDL.SDL_GameControllerButton)

##### Declaration

    public static string SDL_GameControllerGetStringForButton(SDL.SDL_GameControllerButton button)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_GameControllerButton | button |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GameControllerGetVendor(IntPtr)

##### Declaration

    public static extern ushort SDL_GameControllerGetVendor(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SDL_GameControllerMapping(IntPtr)

##### Declaration

    public static string SDL_GameControllerMapping(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GameControllerMappingForDeviceIndex(Int32)

##### Declaration

    public static string SDL_GameControllerMappingForDeviceIndex(int joystick_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | joystick_index |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GameControllerMappingForGUID(Guid)

##### Declaration

    public static string SDL_GameControllerMappingForGUID(Guid guid)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Guid | guid |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GameControllerMappingForIndex(Int32)

##### Declaration

    public static string SDL_GameControllerMappingForIndex(int mapping_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | mapping_index |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GameControllerName(IntPtr)

##### Declaration

    public static string SDL_GameControllerName(IntPtr gamecontroller)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GameControllerNameForIndex(Int32)

##### Declaration

    public static string SDL_GameControllerNameForIndex(int joystick_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | joystick_index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GameControllerNumMappings()

##### Declaration

    public static extern int SDL_GameControllerNumMappings()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GameControllerOpen(Int32)

##### Declaration

    public static extern IntPtr SDL_GameControllerOpen(int joystick_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | joystick_index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GameControllerRumble(IntPtr, UInt16, UInt16, UInt32)

##### Declaration

    public static extern int SDL_GameControllerRumble(IntPtr gamecontroller, ushort low_frequency_rumble, ushort high_frequency_rumble, uint duration_ms)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | gamecontroller |
System.UInt16 | low_frequency_rumble |
System.UInt16 | high_frequency_rumble |
System.UInt32 | duration_ms |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GameControllerUpdate()

##### Declaration

    public static extern void SDL_GameControllerUpdate()

| Improve this Doc View Source

#### SDL_GetAudioDeviceName(Int32, Int32)

##### Declaration

    public static string SDL_GetAudioDeviceName(int index, int iscapture)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
System.Int32 | iscapture |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetAudioDeviceStatus(UInt32)

##### Declaration

    public static extern SDL.SDL_AudioStatus SDL_GetAudioDeviceStatus(uint dev)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |

##### Returns

Type | Description
--- | ---
SDL.SDL_AudioStatus |

| Improve this Doc View Source

#### SDL_GetAudioDriver(Int32)

##### Declaration

    public static string SDL_GetAudioDriver(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetAudioStatus()

##### Declaration

    public static extern SDL.SDL_AudioStatus SDL_GetAudioStatus()

##### Returns

Type | Description
--- | ---
SDL.SDL_AudioStatus |

| Improve this Doc View Source

#### SDL_GetBasePath()

##### Declaration

    public static string SDL_GetBasePath()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GetClipboardText()

##### Declaration

    public static string SDL_GetClipboardText()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetClipRect(IntPtr, out SDL.SDL_Rect)

##### Declaration

    public static extern void SDL_GetClipRect(IntPtr surface, out SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
SDL.SDL_Rect | rect |

#### SDL_GetClosestDisplayMode(Int32, ref SDL.SDL_DisplayMode, out SDL.SDL_DisplayMode)

##### Declaration

    public static extern IntPtr SDL_GetClosestDisplayMode(int displayIndex, ref SDL.SDL_DisplayMode mode, out SDL.SDL_DisplayMode closest)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
SDL.SDL_DisplayMode | mode |
SDL.SDL_DisplayMode | closest |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetColorKey(IntPtr, out UInt32)

##### Declaration

    public static extern int SDL_GetColorKey(IntPtr surface, out uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetCPUCacheLineSize()

##### Declaration

    public static extern int SDL_GetCPUCacheLineSize()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetCPUCount()

##### Declaration

    public static extern int SDL_GetCPUCount()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_GetCurrentAudioDriver()

##### Declaration

    public static string SDL_GetCurrentAudioDriver()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetCurrentDisplayMode(Int32, out SDL.SDL_DisplayMode)

##### Declaration

    public static extern int SDL_GetCurrentDisplayMode(int displayIndex, out SDL.SDL_DisplayMode mode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
SDL.SDL_DisplayMode | mode |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_GetCurrentVideoDriver()

##### Declaration

    public static string SDL_GetCurrentVideoDriver()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetCursor()

##### Declaration

    public static extern IntPtr SDL_GetCursor()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetDesktopDisplayMode(Int32, out SDL.SDL_DisplayMode)

##### Declaration

    public static extern int SDL_GetDesktopDisplayMode(int displayIndex, out SDL.SDL_DisplayMode mode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
SDL.SDL_DisplayMode | mode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetDisplayBounds(Int32, out SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_GetDisplayBounds(int displayIndex, out SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetDisplayDPI(Int32, out Single, out Single, out Single)

##### Declaration

    public static extern int SDL_GetDisplayDPI(int displayIndex, out float ddpi, out float hdpi, out float vdpi)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
System.Single | ddpi |
System.Single | hdpi |
System.Single | vdpi |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetDisplayMode(Int32, Int32, out SDL.SDL_DisplayMode)

##### Declaration

    public static extern int SDL_GetDisplayMode(int displayIndex, int modeIndex, out SDL.SDL_DisplayMode mode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
System.Int32 | modeIndex |
SDL.SDL_DisplayMode | mode |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_GetDisplayName(Int32)

##### Declaration

    public static string SDL_GetDisplayName(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetDisplayOrientation(Int32)

##### Declaration

    public static extern SDL.SDL_DisplayOrientation SDL_GetDisplayOrientation(int displayIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |

##### Returns

Type | Description
--- | ---
SDL.SDL_DisplayOrientation |

#### SDL_GetDisplayUsableBounds(Int32, out SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_GetDisplayUsableBounds(int displayIndex, out SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_GetError()

##### Declaration

    public static string SDL_GetError()

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GetEventFilter(out SDL.SDL_EventFilter, out IntPtr)

##### Declaration

    public static SDL.SDL_bool SDL_GetEventFilter(out SDL.SDL_EventFilter filter, out IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventFilter | filter |
System.IntPtr | userdata |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

| Improve this Doc View Source

#### SDL_GetEventState(SDL.SDL_EventType)

##### Declaration

    public static byte SDL_GetEventState(SDL.SDL_EventType type)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventType | type |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_GetGlobalMouseState(out Int32, out Int32)

##### Declaration

    public static extern uint SDL_GetGlobalMouseState(out int x, out int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetGlobalMouseState(out Int32, IntPtr)

##### Declaration

    public static extern uint SDL_GetGlobalMouseState(out int x, IntPtr y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.IntPtr | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetGlobalMouseState(IntPtr, out Int32)

##### Declaration

    public static extern uint SDL_GetGlobalMouseState(IntPtr x, out int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetGlobalMouseState(IntPtr, IntPtr)

##### Declaration

    public static extern uint SDL_GetGlobalMouseState(IntPtr x, IntPtr y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | x |
System.IntPtr | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetGrabbedWindow()

##### Declaration

    public static extern IntPtr SDL_GetGrabbedWindow()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_GetHint(String)

##### Declaration

    public static string SDL_GetHint(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GetHintBoolean(String, SDL.SDL_bool)

##### Declaration

    public static SDL.SDL_bool SDL_GetHintBoolean(string name, SDL.SDL_bool default_value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
SDL.SDL_bool | default_value |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_GetKeyboardFocus()

##### Declaration

    public static extern IntPtr SDL_GetKeyboardFocus()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetKeyboardState(out Int32)

##### Declaration

    public static extern IntPtr SDL_GetKeyboardState(out int numkeys)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numkeys |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_GetKeyFromName(String)

##### Declaration

    public static SDL.SDL_Keycode SDL_GetKeyFromName(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

##### Returns

Type | Description
--- | ---
SDL.SDL_Keycode |

#### SDL_GetKeyFromScancode(SDL.SDL_Scancode)

##### Declaration

    public static extern SDL.SDL_Keycode SDL_GetKeyFromScancode(SDL.SDL_Scancode scancode)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Scancode | scancode |

##### Returns

Type | Description
--- | ---
SDL.SDL_Keycode |

| Improve this Doc View Source

#### SDL_GetKeyName(SDL.SDL_Keycode)

##### Declaration

    public static string SDL_GetKeyName(SDL.SDL_Keycode key)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Keycode | key |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetModState()

##### Declaration

    public static extern SDL.SDL_Keymod SDL_GetModState()

##### Returns

Type | Description
--- | ---
SDL.SDL_Keymod |

#### SDL_GetMouseFocus()

##### Declaration

    public static extern IntPtr SDL_GetMouseFocus()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetMouseState(out Int32, out Int32)

##### Declaration

    public static extern uint SDL_GetMouseState(out int x, out int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetMouseState(out Int32, IntPtr)

##### Declaration

    public static extern uint SDL_GetMouseState(out int x, IntPtr y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.IntPtr | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetMouseState(IntPtr, out Int32)

##### Declaration

    public static extern uint SDL_GetMouseState(IntPtr x, out int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetMouseState(IntPtr, IntPtr)

##### Declaration

    public static extern uint SDL_GetMouseState(IntPtr x, IntPtr y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | x |
System.IntPtr | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetNumAudioDevices(Int32)

##### Declaration

    public static extern int SDL_GetNumAudioDevices(int iscapture)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | iscapture |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumAudioDrivers()

##### Declaration

    public static extern int SDL_GetNumAudioDrivers()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumDisplayModes(Int32)

##### Declaration

    public static extern int SDL_GetNumDisplayModes(int displayIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | displayIndex |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumRenderDrivers()

##### Declaration

    public static extern int SDL_GetNumRenderDrivers()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumTouchDevices()

##### Declaration

    public static extern int SDL_GetNumTouchDevices()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumTouchFingers(Int64)

##### Declaration

    public static extern int SDL_GetNumTouchFingers(long touchID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | touchID |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumVideoDisplays()

##### Declaration

    public static extern int SDL_GetNumVideoDisplays()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetNumVideoDrivers()

##### Declaration

    public static extern int SDL_GetNumVideoDrivers()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetPerformanceCounter()

##### Declaration

    public static extern ulong SDL_GetPerformanceCounter()

##### Returns

Type | Description
--- | ---
System.UInt64 |

#### SDL_GetPerformanceFrequency()

##### Declaration

    public static extern ulong SDL_GetPerformanceFrequency()

##### Returns

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### SDL_GetPixelFormatName(UInt32)

##### Declaration

    public static string SDL_GetPixelFormatName(uint format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | format |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_GetPlatform()

##### Declaration

    public static string SDL_GetPlatform()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetPowerInfo(out Int32, out Int32)

##### Declaration

    public static extern SDL.SDL_PowerState SDL_GetPowerInfo(out int secs, out int pct)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | secs |
System.Int32 | pct |

##### Returns

Type | Description
--- | ---
SDL.SDL_PowerState |

| Improve this Doc View Source

#### SDL_GetPrefPath(String, String)

##### Declaration

    public static string SDL_GetPrefPath(string org, string app)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | org |
System.String | app |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetQueuedAudioSize(UInt32)

##### Declaration

    public static extern uint SDL_GetQueuedAudioSize(uint dev)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetRelativeMouseMode()

##### Declaration

    public static extern SDL.SDL_bool SDL_GetRelativeMouseMode()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_GetRelativeMouseState(out Int32, out Int32)

##### Declaration

    public static extern uint SDL_GetRelativeMouseState(out int x, out int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetRenderDrawBlendMode(IntPtr, out SDL.SDL_BlendMode)

##### Declaration

    public static extern int SDL_GetRenderDrawBlendMode(IntPtr renderer, out SDL.SDL_BlendMode blendMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_BlendMode | blendMode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetRenderDrawColor(IntPtr, out Byte, out Byte, out Byte, out Byte)

##### Declaration

    public static extern int SDL_GetRenderDrawColor(IntPtr renderer, out byte r, out byte g, out byte b, out byte a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Byte | r |
System.Byte | g |
System.Byte | b |
System.Byte | a |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetRenderDriverInfo(Int32, out SDL.SDL_RendererInfo)

##### Declaration

    public static extern int SDL_GetRenderDriverInfo(int index, out SDL.SDL_RendererInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |
SDL.SDL_RendererInfo | info |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetRenderer(IntPtr)

##### Declaration

    public static extern IntPtr SDL_GetRenderer(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetRendererInfo(IntPtr, out SDL.SDL_RendererInfo)

##### Declaration

    public static extern int SDL_GetRendererInfo(IntPtr renderer, out SDL.SDL_RendererInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_RendererInfo | info |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetRendererOutputSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern int SDL_GetRendererOutputSize(IntPtr renderer, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetRenderTarget(IntPtr)

##### Declaration

    public static extern IntPtr SDL_GetRenderTarget(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_GetRevision()

##### Declaration

    public static string SDL_GetRevision()

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetRevisionNumber()

##### Declaration

    public static extern int SDL_GetRevisionNumber()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetRGB(UInt32, IntPtr, out Byte, out Byte, out Byte)

##### Declaration

    public static extern void SDL_GetRGB(uint pixel, IntPtr format, out byte r, out byte g, out byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | pixel |
System.IntPtr | format |
System.Byte | r |
System.Byte | g |
System.Byte | b |

#### SDL_GetRGBA(UInt32, IntPtr, out Byte, out Byte, out Byte, out Byte)

##### Declaration

    public static extern void SDL_GetRGBA(uint pixel, IntPtr format, out byte r, out byte g, out byte b, out byte a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | pixel |
System.IntPtr | format |
System.Byte | r |
System.Byte | g |
System.Byte | b |
System.Byte | a |

#### SDL_GetScancodeFromKey(SDL.SDL_Keycode)

##### Declaration

    public static extern SDL.SDL_Scancode SDL_GetScancodeFromKey(SDL.SDL_Keycode key)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Keycode | key |

##### Returns

Type | Description
--- | ---
SDL.SDL_Scancode |

| Improve this Doc View Source

#### SDL_GetScancodeFromName(String)

##### Declaration

    public static SDL.SDL_Scancode SDL_GetScancodeFromName(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

##### Returns

Type | Description
--- | ---
SDL.SDL_Scancode |

| Improve this Doc View Source

#### SDL_GetScancodeName(SDL.SDL_Scancode)

##### Declaration

    public static string SDL_GetScancodeName(SDL.SDL_Scancode scancode)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Scancode | scancode |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetSurfaceAlphaMod(IntPtr, out Byte)

##### Declaration

    public static extern int SDL_GetSurfaceAlphaMod(IntPtr surface, out byte alpha)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Byte | alpha |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetSurfaceBlendMode(IntPtr, out SDL.SDL_BlendMode)

##### Declaration

    public static extern int SDL_GetSurfaceBlendMode(IntPtr surface, out SDL.SDL_BlendMode blendMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
SDL.SDL_BlendMode | blendMode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetSurfaceColorMod(IntPtr, out Byte, out Byte, out Byte)

##### Declaration

    public static extern int SDL_GetSurfaceColorMod(IntPtr surface, out byte r, out byte g, out byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Byte | r |
System.Byte | g |
System.Byte | b |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetSystemRAM()

##### Declaration

    public static extern int SDL_GetSystemRAM()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetTextureAlphaMod(IntPtr, out Byte)

##### Declaration

    public static extern int SDL_GetTextureAlphaMod(IntPtr texture, out byte alpha)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.Byte | alpha |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetTextureBlendMode(IntPtr, out SDL.SDL_BlendMode)

##### Declaration

    public static extern int SDL_GetTextureBlendMode(IntPtr texture, out SDL.SDL_BlendMode blendMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
SDL.SDL_BlendMode | blendMode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetTextureColorMod(IntPtr, out Byte, out Byte, out Byte)

##### Declaration

    public static extern int SDL_GetTextureColorMod(IntPtr texture, out byte r, out byte g, out byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.Byte | r |
System.Byte | g |
System.Byte | b |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetTicks()

##### Declaration

    public static extern uint SDL_GetTicks()

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetTouchDevice(Int32)

##### Declaration

    public static extern long SDL_GetTouchDevice(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Int64 |

#### SDL_GetTouchDeviceType(Int64)

##### Declaration

    public static extern SDL.SDL_TouchDeviceType SDL_GetTouchDeviceType(long touchID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | touchID |

##### Returns

Type | Description
--- | ---
SDL.SDL_TouchDeviceType |

#### SDL_GetTouchFinger(Int64, Int32)

##### Declaration

    public static extern IntPtr SDL_GetTouchFinger(long touchID, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | touchID |
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetVersion(out SDL.SDL_version)

##### Declaration

    public static extern void SDL_GetVersion(out SDL.SDL_version ver)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_version | ver |

| Improve this Doc View Source

#### SDL_GetVideoDriver(Int32)

##### Declaration

    public static string SDL_GetVideoDriver(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetWindowBordersSize(IntPtr, out Int32, out Int32, out Int32, out Int32)

##### Declaration

    public static extern int SDL_GetWindowBordersSize(IntPtr window, out int top, out int left, out int bottom, out int right)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | top |
System.Int32 | left |
System.Int32 | bottom |
System.Int32 | right |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetWindowBrightness(IntPtr)

##### Declaration

    public static extern float SDL_GetWindowBrightness(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SDL_GetWindowData(IntPtr, String)

##### Declaration

    public static IntPtr SDL_GetWindowData(IntPtr window, string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.String | name |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetWindowDisplayIndex(IntPtr)

##### Declaration

    public static extern int SDL_GetWindowDisplayIndex(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetWindowDisplayMode(IntPtr, out SDL.SDL_DisplayMode)

##### Declaration

    public static extern int SDL_GetWindowDisplayMode(IntPtr window, out SDL.SDL_DisplayMode mode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_DisplayMode | mode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetWindowFlags(IntPtr)

##### Declaration

    public static extern uint SDL_GetWindowFlags(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetWindowFromID(UInt32)

##### Declaration

    public static extern IntPtr SDL_GetWindowFromID(uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GetWindowGammaRamp(IntPtr, UInt16[], UInt16[], UInt16[])

##### Declaration

    public static extern int SDL_GetWindowGammaRamp(IntPtr window, ushort[] red, ushort[] green, ushort[] blue)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.UInt16[] | red |
System.UInt16[] | green |
System.UInt16[] | blue |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetWindowGrab(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_GetWindowGrab(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_GetWindowID(IntPtr)

##### Declaration

    public static extern uint SDL_GetWindowID(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetWindowMaximumSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_GetWindowMaximumSize(IntPtr window, out int max_w, out int max_h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | max_w |
System.Int32 | max_h |

#### SDL_GetWindowMinimumSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_GetWindowMinimumSize(IntPtr window, out int min_w, out int min_h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | min_w |
System.Int32 | min_h |

#### SDL_GetWindowOpacity(IntPtr, out Single)

##### Declaration

    public static extern int SDL_GetWindowOpacity(IntPtr window, out float out_opacity)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Single | out_opacity |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GetWindowPixelFormat(IntPtr)

##### Declaration

    public static extern uint SDL_GetWindowPixelFormat(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_GetWindowPosition(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_GetWindowPosition(IntPtr window, out int x, out int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | x |
System.Int32 | y |

#### SDL_GetWindowSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_GetWindowSize(IntPtr window, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | w |
System.Int32 | h |

#### SDL_GetWindowSurface(IntPtr)

##### Declaration

    public static extern IntPtr SDL_GetWindowSurface(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_GetWindowTitle(IntPtr)

##### Declaration

    public static string SDL_GetWindowTitle(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_GetWindowWMInfo(IntPtr, ref SDL.SDL_SysWMinfo)

##### Declaration

    public static extern SDL.SDL_bool SDL_GetWindowWMInfo(IntPtr window, ref SDL.SDL_SysWMinfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_SysWMinfo | info |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_GL_BindTexture(IntPtr, out Single, out Single)

##### Declaration

    public static extern int SDL_GL_BindTexture(IntPtr texture, out float texw, out float texh)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.Single | texw |
System.Single | texh |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_CreateContext(IntPtr)

##### Declaration

    public static extern IntPtr SDL_GL_CreateContext(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GL_DeleteContext(IntPtr)

##### Declaration

    public static extern void SDL_GL_DeleteContext(IntPtr context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |

| Improve this Doc View Source

#### SDL_GL_ExtensionSupported(String)

##### Declaration

    public static SDL.SDL_bool SDL_GL_ExtensionSupported(string extension)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | extension |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_GL_GetAttribute(SDL.SDL_GLattr, out Int32)

##### Declaration

    public static extern int SDL_GL_GetAttribute(SDL.SDL_GLattr attr, out int value)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_GLattr | attr |
System.Int32 | value |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_GetCurrentContext()

##### Declaration

    public static extern IntPtr SDL_GL_GetCurrentContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GL_GetCurrentWindow()

##### Declaration

    public static extern IntPtr SDL_GL_GetCurrentWindow()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GL_GetDrawableSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_GL_GetDrawableSize(IntPtr window, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | w |
System.Int32 | h |

#### SDL_GL_GetProcAddress(IntPtr)

##### Declaration

    public static extern IntPtr SDL_GL_GetProcAddress(IntPtr proc)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | proc |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_GL_GetProcAddress(String)

##### Declaration

    public static IntPtr SDL_GL_GetProcAddress(string proc)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | proc |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_GL_GetSwapInterval()

##### Declaration

    public static extern int SDL_GL_GetSwapInterval()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_GL_LoadLibrary(String)

##### Declaration

    public static int SDL_GL_LoadLibrary(string path)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_MakeCurrent(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_GL_MakeCurrent(IntPtr window, IntPtr context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.IntPtr | context |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_ResetAttributes()

##### Declaration

    public static extern void SDL_GL_ResetAttributes()

| Improve this Doc View Source

#### SDL_GL_SetAttribute(SDL.SDL_GLattr, SDL.SDL_GLprofile)

##### Declaration

    public static int SDL_GL_SetAttribute(SDL.SDL_GLattr attr, SDL.SDL_GLprofile profile)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_GLattr | attr |
SDL.SDL_GLprofile | profile |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_SetAttribute(SDL.SDL_GLattr, Int32)

##### Declaration

    public static extern int SDL_GL_SetAttribute(SDL.SDL_GLattr attr, int value)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_GLattr | attr |
System.Int32 | value |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_SetSwapInterval(Int32)

##### Declaration

    public static extern int SDL_GL_SetSwapInterval(int interval)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | interval |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_SwapWindow(IntPtr)

##### Declaration

    public static extern void SDL_GL_SwapWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_GL_UnbindTexture(IntPtr)

##### Declaration

    public static extern int SDL_GL_UnbindTexture(IntPtr texture)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_GL_UnloadLibrary()

##### Declaration

    public static extern void SDL_GL_UnloadLibrary()

#### SDL_HapticClose(IntPtr)

##### Declaration

    public static extern void SDL_HapticClose(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

#### SDL_HapticDestroyEffect(IntPtr, Int32)

##### Declaration

    public static extern void SDL_HapticDestroyEffect(IntPtr haptic, int effect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | effect |

#### SDL_HapticEffectSupported(IntPtr, ref SDL.SDL_HapticEffect)

##### Declaration

    public static extern int SDL_HapticEffectSupported(IntPtr haptic, ref SDL.SDL_HapticEffect effect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
SDL.SDL_HapticEffect | effect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticGetEffectStatus(IntPtr, Int32)

##### Declaration

    public static extern int SDL_HapticGetEffectStatus(IntPtr haptic, int effect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | effect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticIndex(IntPtr)

##### Declaration

    public static extern int SDL_HapticIndex(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_HapticName(Int32)

##### Declaration

    public static string SDL_HapticName(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_HapticNewEffect(IntPtr, ref SDL.SDL_HapticEffect)

##### Declaration

    public static extern int SDL_HapticNewEffect(IntPtr haptic, ref SDL.SDL_HapticEffect effect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
SDL.SDL_HapticEffect | effect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticNumAxes(IntPtr)

##### Declaration

    public static extern int SDL_HapticNumAxes(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticNumEffects(IntPtr)

##### Declaration

    public static extern int SDL_HapticNumEffects(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticNumEffectsPlaying(IntPtr)

##### Declaration

    public static extern int SDL_HapticNumEffectsPlaying(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticOpen(Int32)

##### Declaration

    public static extern IntPtr SDL_HapticOpen(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_HapticOpened(Int32)

##### Declaration

    public static extern int SDL_HapticOpened(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticOpenFromJoystick(IntPtr)

##### Declaration

    public static extern IntPtr SDL_HapticOpenFromJoystick(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_HapticOpenFromMouse()

##### Declaration

    public static extern IntPtr SDL_HapticOpenFromMouse()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_HapticPause(IntPtr)

##### Declaration

    public static extern int SDL_HapticPause(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticQuery(IntPtr)

##### Declaration

    public static extern uint SDL_HapticQuery(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_HapticRumbleInit(IntPtr)

##### Declaration

    public static extern int SDL_HapticRumbleInit(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticRumblePlay(IntPtr, Single, UInt32)

##### Declaration

    public static extern int SDL_HapticRumblePlay(IntPtr haptic, float strength, uint length)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Single | strength |
System.UInt32 | length |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticRumbleStop(IntPtr)

##### Declaration

    public static extern int SDL_HapticRumbleStop(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticRumbleSupported(IntPtr)

##### Declaration

    public static extern int SDL_HapticRumbleSupported(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticRunEffect(IntPtr, Int32, UInt32)

##### Declaration

    public static extern int SDL_HapticRunEffect(IntPtr haptic, int effect, uint iterations)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | effect |
System.UInt32 | iterations |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticSetAutocenter(IntPtr, Int32)

##### Declaration

    public static extern int SDL_HapticSetAutocenter(IntPtr haptic, int autocenter)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | autocenter |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticSetGain(IntPtr, Int32)

##### Declaration

    public static extern int SDL_HapticSetGain(IntPtr haptic, int gain)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | gain |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticStopAll(IntPtr)

##### Declaration

    public static extern int SDL_HapticStopAll(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticStopEffect(IntPtr, Int32)

##### Declaration

    public static extern int SDL_HapticStopEffect(IntPtr haptic, int effect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | effect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticUnpause(IntPtr)

##### Declaration

    public static extern int SDL_HapticUnpause(IntPtr haptic)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_HapticUpdateEffect(IntPtr, Int32, ref SDL.SDL_HapticEffect)

##### Declaration

    public static extern int SDL_HapticUpdateEffect(IntPtr haptic, int effect, ref SDL.SDL_HapticEffect data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | haptic |
System.Int32 | effect |
SDL.SDL_HapticEffect | data |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_Has3DNow()

##### Declaration

    public static extern SDL.SDL_bool SDL_Has3DNow()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasAltiVec()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasAltiVec()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasAVX()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasAVX()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasAVX2()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasAVX2()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasAVX512F()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasAVX512F()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasClipboardText()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasClipboardText()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasColorKey(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_HasColorKey(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasEvent(SDL.SDL_EventType)

##### Declaration

    public static extern SDL.SDL_bool SDL_HasEvent(SDL.SDL_EventType type)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventType | type |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasEvents(SDL.SDL_EventType, SDL.SDL_EventType)

##### Declaration

    public static extern SDL.SDL_bool SDL_HasEvents(SDL.SDL_EventType minType, SDL.SDL_EventType maxType)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventType | minType |
SDL.SDL_EventType | maxType |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasIntersection(ref SDL.SDL_Rect, ref SDL.SDL_Rect)

##### Declaration

    public static extern SDL.SDL_bool SDL_HasIntersection(ref SDL.SDL_Rect A, ref SDL.SDL_Rect B)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | A |
SDL.SDL_Rect | B |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasMMX()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasMMX()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasNEON()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasNEON()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasRDTSC()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasRDTSC()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasScreenKeyboardSupport()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasScreenKeyboardSupport()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasSSE()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasSSE()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasSSE2()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasSSE2()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasSSE3()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasSSE3()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasSSE41()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasSSE41()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HasSSE42()

##### Declaration

    public static extern SDL.SDL_bool SDL_HasSSE42()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_HideWindow(IntPtr)

##### Declaration

    public static extern void SDL_HideWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_Init(UInt32)

##### Declaration

    public static extern int SDL_Init(uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | flags |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_InitSubSystem(UInt32)

##### Declaration

    public static extern int SDL_InitSubSystem(uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | flags |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_IntersectRect(ref SDL.SDL_Rect, ref SDL.SDL_Rect, out SDL.SDL_Rect)

##### Declaration

    public static extern SDL.SDL_bool SDL_IntersectRect(ref SDL.SDL_Rect A, ref SDL.SDL_Rect B, out SDL.SDL_Rect result)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | A |
SDL.SDL_Rect | B |
SDL.SDL_Rect | result |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IntersectRectAndLine(ref SDL.SDL_Rect, ref Int32, ref Int32, ref Int32, ref Int32)

##### Declaration

    public static extern SDL.SDL_bool SDL_IntersectRectAndLine(ref SDL.SDL_Rect rect, ref int X1, ref int Y1, ref int X2, ref int Y2)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | rect |
System.Int32 | X1 |
System.Int32 | Y1 |
System.Int32 | X2 |
System.Int32 | Y2 |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_iPhoneSetAnimationCallback(IntPtr, Int32, SDL.SDL_iPhoneAnimationCallback, IntPtr)

##### Declaration

    public static extern int SDL_iPhoneSetAnimationCallback(IntPtr window, int interval, SDL.SDL_iPhoneAnimationCallback callback, IntPtr callbackParam)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | interval |
SDL.SDL_iPhoneAnimationCallback | callback |
System.IntPtr | callbackParam |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_iPhoneSetEventPump(SDL.SDL_bool)

##### Declaration

    public static extern void SDL_iPhoneSetEventPump(SDL.SDL_bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_bool | enabled |

#### SDL_IsAndroidTV()

##### Declaration

    public static extern SDL.SDL_bool SDL_IsAndroidTV()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IsChromebook()

##### Declaration

    public static extern SDL.SDL_bool SDL_IsChromebook()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IsDeXMode()

##### Declaration

    public static extern SDL.SDL_bool SDL_IsDeXMode()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IsGameController(Int32)

##### Declaration

    public static extern SDL.SDL_bool SDL_IsGameController(int joystick_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | joystick_index |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

| Improve this Doc View Source

#### SDL_ISPIXELFORMAT_ALPHA(UInt32)

##### Declaration

    public static bool SDL_ISPIXELFORMAT_ALPHA(uint format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_ISPIXELFORMAT_FOURCC(UInt32)

##### Declaration

    public static bool SDL_ISPIXELFORMAT_FOURCC(uint format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_ISPIXELFORMAT_INDEXED(UInt32)

##### Declaration

    public static bool SDL_ISPIXELFORMAT_INDEXED(uint format)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | format |

##### Returns

Type | Description
--- | ---
System.Boolean |

#### SDL_IsScreenKeyboardShown(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_IsScreenKeyboardShown(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IsScreenSaverEnabled()

##### Declaration

    public static extern SDL.SDL_bool SDL_IsScreenSaverEnabled()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IsTablet()

##### Declaration

    public static extern SDL.SDL_bool SDL_IsTablet()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_IsTextInputActive()

##### Declaration

    public static extern SDL.SDL_bool SDL_IsTextInputActive()

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_JoystickClose(IntPtr)

##### Declaration

    public static extern void SDL_JoystickClose(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

#### SDL_JoystickCurrentPowerLevel(IntPtr)

##### Declaration

    public static extern SDL.SDL_JoystickPowerLevel SDL_JoystickCurrentPowerLevel(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
SDL.SDL_JoystickPowerLevel |

#### SDL_JoystickEventState(Int32)

##### Declaration

    public static extern int SDL_JoystickEventState(int state)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | state |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickFromInstanceID(Int32)

##### Declaration

    public static extern IntPtr SDL_JoystickFromInstanceID(int joyid)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | joyid |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_JoystickGetAttached(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_JoystickGetAttached(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_JoystickGetAxis(IntPtr, Int32)

##### Declaration

    public static extern short SDL_JoystickGetAxis(IntPtr joystick, int axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |
System.Int32 | axis |

##### Returns

Type | Description
--- | ---
System.Int16 |

#### SDL_JoystickGetAxisInitialState(IntPtr, Int32, out UInt16)

##### Declaration

    public static extern SDL.SDL_bool SDL_JoystickGetAxisInitialState(IntPtr joystick, int axis, out ushort state)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |
System.Int32 | axis |
System.UInt16 | state |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_JoystickGetBall(IntPtr, Int32, out Int32, out Int32)

##### Declaration

    public static extern int SDL_JoystickGetBall(IntPtr joystick, int ball, out int dx, out int dy)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |
System.Int32 | ball |
System.Int32 | dx |
System.Int32 | dy |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickGetButton(IntPtr, Int32)

##### Declaration

    public static extern byte SDL_JoystickGetButton(IntPtr joystick, int button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |
System.Int32 | button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_JoystickGetDeviceGUID(Int32)

##### Declaration

    public static extern Guid SDL_JoystickGetDeviceGUID(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.Guid |

#### SDL_JoystickGetDeviceInstanceID(Int32)

##### Declaration

    public static extern int SDL_JoystickGetDeviceInstanceID(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickGetDeviceProduct(Int32)

##### Declaration

    public static extern ushort SDL_JoystickGetDeviceProduct(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_JoystickGetDeviceProductVersion(Int32)

##### Declaration

    public static extern ushort SDL_JoystickGetDeviceProductVersion(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_JoystickGetDeviceType(Int32)

##### Declaration

    public static extern SDL.SDL_JoystickType SDL_JoystickGetDeviceType(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
SDL.SDL_JoystickType |

#### SDL_JoystickGetDeviceVendor(Int32)

##### Declaration

    public static extern ushort SDL_JoystickGetDeviceVendor(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_JoystickGetGUID(IntPtr)

##### Declaration

    public static extern Guid SDL_JoystickGetGUID(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Guid |

| Improve this Doc View Source

#### SDL_JoystickGetGUIDFromString(String)

##### Declaration

    public static Guid SDL_JoystickGetGUIDFromString(string pchGuid)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pchGuid |

##### Returns

Type | Description
--- | ---
System.Guid |

#### SDL_JoystickGetGUIDString(Guid, Byte[], Int32)

##### Declaration

    public static extern void SDL_JoystickGetGUIDString(Guid guid, byte[] pszGUID, int cbGUID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Guid | guid |
System.Byte[] | pszGUID |
System.Int32 | cbGUID |

#### SDL_JoystickGetHat(IntPtr, Int32)

##### Declaration

    public static extern byte SDL_JoystickGetHat(IntPtr joystick, int hat)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |
System.Int32 | hat |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_JoystickGetProduct(IntPtr)

##### Declaration

    public static extern ushort SDL_JoystickGetProduct(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_JoystickGetProductVersion(IntPtr)

##### Declaration

    public static extern ushort SDL_JoystickGetProductVersion(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_JoystickGetType(IntPtr)

##### Declaration

    public static extern SDL.SDL_JoystickType SDL_JoystickGetType(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
SDL.SDL_JoystickType |

#### SDL_JoystickGetVendor(IntPtr)

##### Declaration

    public static extern ushort SDL_JoystickGetVendor(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_JoystickInstanceID(IntPtr)

##### Declaration

    public static extern int SDL_JoystickInstanceID(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickIsHaptic(IntPtr)

##### Declaration

    public static extern int SDL_JoystickIsHaptic(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_JoystickName(IntPtr)

##### Declaration

    public static string SDL_JoystickName(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### SDL_JoystickNameForIndex(Int32)

##### Declaration

    public static string SDL_JoystickNameForIndex(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_JoystickNumAxes(IntPtr)

##### Declaration

    public static extern int SDL_JoystickNumAxes(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickNumBalls(IntPtr)

##### Declaration

    public static extern int SDL_JoystickNumBalls(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickNumButtons(IntPtr)

##### Declaration

    public static extern int SDL_JoystickNumButtons(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickNumHats(IntPtr)

##### Declaration

    public static extern int SDL_JoystickNumHats(IntPtr joystick)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickOpen(Int32)

##### Declaration

    public static extern IntPtr SDL_JoystickOpen(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_JoystickRumble(IntPtr, UInt16, UInt16, UInt32)

##### Declaration

    public static extern int SDL_JoystickRumble(IntPtr joystick, ushort low_frequency_rumble, ushort high_frequency_rumble, uint duration_ms)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | joystick |
System.UInt16 | low_frequency_rumble |
System.UInt16 | high_frequency_rumble |
System.UInt32 | duration_ms |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_JoystickUpdate()

##### Declaration

    public static extern void SDL_JoystickUpdate()

| Improve this Doc View Source

#### SDL_LoadBMP(String)

##### Declaration

    public static IntPtr SDL_LoadBMP(string file)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_LoadFile(IntPtr, IntPtr)

##### Declaration

    public static extern IntPtr SDL_LoadFile(IntPtr file, IntPtr datasize)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | file |
System.IntPtr | datasize |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_LoadWAV(String, ref SDL.SDL_AudioSpec, out IntPtr, out UInt32)

##### Declaration

    public static SDL.SDL_AudioSpec SDL_LoadWAV(string file, ref SDL.SDL_AudioSpec spec, out IntPtr audio_buf, out uint audio_len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |
SDL.SDL_AudioSpec | spec |
System.IntPtr | audio_buf |
System.UInt32 | audio_len |

##### Returns

Type | Description
--- | ---
SDL.SDL_AudioSpec |

#### SDL_LockAudio()

##### Declaration

    public static extern void SDL_LockAudio()

#### SDL_LockAudioDevice(UInt32)

##### Declaration

    public static extern void SDL_LockAudioDevice(uint dev)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |

#### SDL_LockJoysticks()

##### Declaration

    public static extern void SDL_LockJoysticks()

#### SDL_LockSurface(IntPtr)

##### Declaration

    public static extern int SDL_LockSurface(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_LockTexture(IntPtr, ref SDL.SDL_Rect, out IntPtr, out Int32)

##### Declaration

    public static extern int SDL_LockTexture(IntPtr texture, ref SDL.SDL_Rect rect, out IntPtr pixels, out int pitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
SDL.SDL_Rect | rect |
System.IntPtr | pixels |
System.Int32 | pitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_LockTexture(IntPtr, IntPtr, out IntPtr, out Int32)

##### Declaration

    public static extern int SDL_LockTexture(IntPtr texture, IntPtr rect, out IntPtr pixels, out int pitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.IntPtr | rect |
System.IntPtr | pixels |
System.Int32 | pitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_Log(String)

##### Declaration

    public static void SDL_Log(string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogCritical(Int32, String)

##### Declaration

    public static void SDL_LogCritical(int category, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogDebug(Int32, String)

##### Declaration

    public static void SDL_LogDebug(int category, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogError(Int32, String)

##### Declaration

    public static void SDL_LogError(int category, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogGetOutputFunction(out SDL.SDL_LogOutputFunction, out IntPtr)

##### Declaration

    public static void SDL_LogGetOutputFunction(out SDL.SDL_LogOutputFunction callback, out IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_LogOutputFunction | callback |
System.IntPtr | userdata |

#### SDL_LogGetPriority(Int32)

##### Declaration

    public static extern SDL.SDL_LogPriority SDL_LogGetPriority(int category)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |

##### Returns

Type | Description
--- | ---
SDL.SDL_LogPriority |

| Improve this Doc View Source

#### SDL_LogInfo(Int32, String)

##### Declaration

    public static void SDL_LogInfo(int category, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogMessage(Int32, SDL.SDL_LogPriority, String)

##### Declaration

    public static void SDL_LogMessage(int category, SDL.SDL_LogPriority priority, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
SDL.SDL_LogPriority | priority |
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogMessageV(Int32, SDL.SDL_LogPriority, String)

##### Declaration

    public static void SDL_LogMessageV(int category, SDL.SDL_LogPriority priority, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
SDL.SDL_LogPriority | priority |
System.String | fmtAndArglist |

#### SDL_LogResetPriorities()

##### Declaration

    public static extern void SDL_LogResetPriorities()

#### SDL_LogSetAllPriority(SDL.SDL_LogPriority)

##### Declaration

    public static extern void SDL_LogSetAllPriority(SDL.SDL_LogPriority priority)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_LogPriority | priority |

#### SDL_LogSetOutputFunction(SDL.SDL_LogOutputFunction, IntPtr)

##### Declaration

    public static extern void SDL_LogSetOutputFunction(SDL.SDL_LogOutputFunction callback, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_LogOutputFunction | callback |
System.IntPtr | userdata |

#### SDL_LogSetPriority(Int32, SDL.SDL_LogPriority)

##### Declaration

    public static extern void SDL_LogSetPriority(int category, SDL.SDL_LogPriority priority)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
SDL.SDL_LogPriority | priority |

| Improve this Doc View Source

#### SDL_LogVerbose(Int32, String)

##### Declaration

    public static void SDL_LogVerbose(int category, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
System.String | fmtAndArglist |

| Improve this Doc View Source

#### SDL_LogWarn(Int32, String)

##### Declaration

    public static void SDL_LogWarn(int category, string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | category |
System.String | fmtAndArglist |

#### SDL_LowerBlit(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_LowerBlit(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_LowerBlitScaled(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_LowerBlitScaled(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_MapRGB(IntPtr, Byte, Byte, Byte)

##### Declaration

    public static extern uint SDL_MapRGB(IntPtr format, byte r, byte g, byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | format |
System.Byte | r |
System.Byte | g |
System.Byte | b |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_MapRGBA(IntPtr, Byte, Byte, Byte, Byte)

##### Declaration

    public static extern uint SDL_MapRGBA(IntPtr format, byte r, byte g, byte b, byte a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | format |
System.Byte | r |
System.Byte | g |
System.Byte | b |
System.Byte | a |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_MasksToPixelFormatEnum(Int32, UInt32, UInt32, UInt32, UInt32)

##### Declaration

    public static extern uint SDL_MasksToPixelFormatEnum(int bpp, uint Rmask, uint Gmask, uint Bmask, uint Amask)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | bpp |
System.UInt32 | Rmask |
System.UInt32 | Gmask |
System.UInt32 | Bmask |
System.UInt32 | Amask |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_MaximizeWindow(IntPtr)

##### Declaration

    public static extern void SDL_MaximizeWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_MinimizeWindow(IntPtr)

##### Declaration

    public static extern void SDL_MinimizeWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_MixAudio(Byte[], Byte[], UInt32, Int32)

##### Declaration

    public static extern void SDL_MixAudio(byte[] dst, byte[] src, uint len, int volume)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | dst |
System.Byte[] | src |
System.UInt32 | len |
System.Int32 | volume |

#### SDL_MixAudioFormat(Byte[], Byte[], UInt16, UInt32, Int32)

##### Declaration

    public static extern void SDL_MixAudioFormat(byte[] dst, byte[] src, ushort format, uint len, int volume)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | dst |
System.Byte[] | src |
System.UInt16 | format |
System.UInt32 | len |
System.Int32 | volume |

#### SDL_MouseIsHaptic()

##### Declaration

    public static extern int SDL_MouseIsHaptic()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_MUSTLOCK(IntPtr)

##### Declaration

    public static bool SDL_MUSTLOCK(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

##### Returns

Type | Description
--- | ---
System.Boolean |

#### SDL_NewAudioStream(UInt16, Byte, Int32, UInt16, Byte, Int32)

##### Declaration

    public static extern IntPtr SDL_NewAudioStream(ushort src_format, byte src_channels, int src_rate, ushort dst_format, byte dst_channels, int dst_rate)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | src_format |
System.Byte | src_channels |
System.Int32 | src_rate |
System.UInt16 | dst_format |
System.Byte | dst_channels |
System.Int32 | dst_rate |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_NumHaptics()

##### Declaration

    public static extern int SDL_NumHaptics()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_NumJoysticks()

##### Declaration

    public static extern int SDL_NumJoysticks()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_NumSensors()

##### Declaration

    public static extern int SDL_NumSensors()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_OpenAudio(ref SDL.SDL_AudioSpec, out SDL.SDL_AudioSpec)

##### Declaration

    public static extern int SDL_OpenAudio(ref SDL.SDL_AudioSpec desired, out SDL.SDL_AudioSpec obtained)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_AudioSpec | desired |
SDL.SDL_AudioSpec | obtained |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_OpenAudio(ref SDL.SDL_AudioSpec, IntPtr)

##### Declaration

    public static extern int SDL_OpenAudio(ref SDL.SDL_AudioSpec desired, IntPtr obtained)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_AudioSpec | desired |
System.IntPtr | obtained |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_OpenAudioDevice(String, Int32, ref SDL.SDL_AudioSpec, out SDL.SDL_AudioSpec, Int32)

##### Declaration

    public static uint SDL_OpenAudioDevice(string device, int iscapture, ref SDL.SDL_AudioSpec desired, out SDL.SDL_AudioSpec obtained, int allowed_changes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | device |
System.Int32 | iscapture |
SDL.SDL_AudioSpec | desired |
SDL.SDL_AudioSpec | obtained |
System.Int32 | allowed_changes |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_PauseAudio(Int32)

##### Declaration

    public static extern void SDL_PauseAudio(int pause_on)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pause_on |

#### SDL_PauseAudioDevice(UInt32, Int32)

##### Declaration

    public static extern void SDL_PauseAudioDevice(uint dev, int pause_on)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |
System.Int32 | pause_on |

#### SDL_PeepEvents(SDL.SDL_Event[], Int32, SDL.SDL_eventaction, SDL.SDL_EventType, SDL.SDL_EventType)

##### Declaration

    public static extern int SDL_PeepEvents(SDL.SDL_Event[] events, int numevents, SDL.SDL_eventaction action, SDL.SDL_EventType minType, SDL.SDL_EventType maxType)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Event[] | events |
System.Int32 | numevents |
SDL.SDL_eventaction | action |
SDL.SDL_EventType | minType |
SDL.SDL_EventType | maxType |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_PIXELFLAG(UInt32)

##### Declaration

    public static byte SDL_PIXELFLAG(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.Byte |

#### SDL_PixelFormatEnumToMasks(UInt32, out Int32, out UInt32, out UInt32, out UInt32, out UInt32)

##### Declaration

    public static extern SDL.SDL_bool SDL_PixelFormatEnumToMasks(uint format, out int bpp, out uint Rmask, out uint Gmask, out uint Bmask, out uint Amask)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | format |
System.Int32 | bpp |
System.UInt32 | Rmask |
System.UInt32 | Gmask |
System.UInt32 | Bmask |
System.UInt32 | Amask |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

| Improve this Doc View Source

#### SDL_PIXELLAYOUT(UInt32)

##### Declaration

    public static byte SDL_PIXELLAYOUT(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_PIXELORDER(UInt32)

##### Declaration

    public static byte SDL_PIXELORDER(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_PIXELTYPE(UInt32)

##### Declaration

    public static byte SDL_PIXELTYPE(uint X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | X |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_PointInRect(ref SDL.SDL_Point, ref SDL.SDL_Rect)

##### Declaration

    public static SDL.SDL_bool SDL_PointInRect(ref SDL.SDL_Point p, ref SDL.SDL_Rect r)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Point | p |
SDL.SDL_Rect | r |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_PollEvent(out SDL.SDL_Event)

##### Declaration

    public static extern int SDL_PollEvent(out SDL.SDL_Event _event)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Event | _event |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_PumpEvents()

##### Declaration

    public static extern void SDL_PumpEvents()

#### SDL_PushEvent(ref SDL.SDL_Event)

##### Declaration

    public static extern int SDL_PushEvent(ref SDL.SDL_Event _event)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Event | _event |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_QueryTexture(IntPtr, out UInt32, out Int32, out Int32, out Int32)

##### Declaration

    public static extern int SDL_QueryTexture(IntPtr texture, out uint format, out int access, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.UInt32 | format |
System.Int32 | access |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_QueueAudio(UInt32, IntPtr, UInt32)

##### Declaration

    public static extern int SDL_QueueAudio(uint dev, IntPtr data, uint len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |
System.IntPtr | data |
System.UInt32 | len |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_Quit()

##### Declaration

    public static extern void SDL_Quit()

#### SDL_QuitSubSystem(UInt32)

##### Declaration

    public static extern void SDL_QuitSubSystem(uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | flags |

#### SDL_RaiseWindow(IntPtr)

##### Declaration

    public static extern void SDL_RaiseWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_ReadBE16(IntPtr)

##### Declaration

    public static extern ushort SDL_ReadBE16(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_ReadBE32(IntPtr)

##### Declaration

    public static extern uint SDL_ReadBE32(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_ReadBE64(IntPtr)

##### Declaration

    public static extern ulong SDL_ReadBE64(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.UInt64 |

#### SDL_ReadLE16(IntPtr)

##### Declaration

    public static extern ushort SDL_ReadLE16(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.UInt16 |

#### SDL_ReadLE32(IntPtr)

##### Declaration

    public static extern uint SDL_ReadLE32(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_ReadLE64(IntPtr)

##### Declaration

    public static extern ulong SDL_ReadLE64(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.UInt64 |

#### SDL_ReadU8(IntPtr)

##### Declaration

    public static extern byte SDL_ReadU8(IntPtr src)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SDL_RectEmpty(ref SDL.SDL_Rect)

##### Declaration

    public static SDL.SDL_bool SDL_RectEmpty(ref SDL.SDL_Rect r)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | r |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

| Improve this Doc View Source

#### SDL_RectEquals(ref SDL.SDL_Rect, ref SDL.SDL_Rect)

##### Declaration

    public static SDL.SDL_bool SDL_RectEquals(ref SDL.SDL_Rect a, ref SDL.SDL_Rect b)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | a |
SDL.SDL_Rect | b |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_RegisterEvents(Int32)

##### Declaration

    public static extern uint SDL_RegisterEvents(int numevents)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numevents |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_RemoveTimer(Int32)

##### Declaration

    public static extern SDL.SDL_bool SDL_RemoveTimer(int id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_RenderClear(IntPtr)

##### Declaration

    public static extern int SDL_RenderClear(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopy(IntPtr, IntPtr, ref SDL.SDL_Rect, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderCopy(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopy(IntPtr, IntPtr, ref SDL.SDL_Rect, IntPtr)

##### Declaration

    public static extern int SDL_RenderCopy(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopy(IntPtr, IntPtr, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderCopy(IntPtr renderer, IntPtr texture, IntPtr srcrect, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopy(IntPtr, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderCopy(IntPtr renderer, IntPtr texture, IntPtr srcrect, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, ref SDL.SDL_Rect, ref SDL.SDL_FRect, Double, ref SDL.SDL_FPoint, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, ref SDL.SDL_FRect dstrect, double angle, ref SDL.SDL_FPoint center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
SDL.SDL_FRect | dstrect |
System.Double | angle |
SDL.SDL_FPoint | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, ref SDL.SDL_Rect, ref SDL.SDL_Rect, Double, ref SDL.SDL_Point, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, ref SDL.SDL_Rect dstrect, double angle, ref SDL.SDL_Point center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
SDL.SDL_Rect | dstrect |
System.Double | angle |
SDL.SDL_Point | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, ref SDL.SDL_Rect, ref SDL.SDL_Rect, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, ref SDL.SDL_Rect dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
SDL.SDL_Rect | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, ref SDL.SDL_Rect, IntPtr, Double, ref SDL.SDL_Point, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, IntPtr dstrect, double angle, ref SDL.SDL_Point center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
SDL.SDL_Point | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, ref SDL.SDL_Rect, IntPtr, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, IntPtr dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, IntPtr, ref SDL.SDL_FRect, Double, ref SDL.SDL_FPoint, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, IntPtr srcrect, ref SDL.SDL_FRect dstrect, double angle, ref SDL.SDL_FPoint center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
SDL.SDL_FRect | dstrect |
System.Double | angle |
SDL.SDL_FPoint | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, IntPtr, ref SDL.SDL_Rect, Double, ref SDL.SDL_Point, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, IntPtr srcrect, ref SDL.SDL_Rect dstrect, double angle, ref SDL.SDL_Point center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
SDL.SDL_Rect | dstrect |
System.Double | angle |
SDL.SDL_Point | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, IntPtr, ref SDL.SDL_Rect, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, IntPtr srcrect, ref SDL.SDL_Rect dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
SDL.SDL_Rect | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, IntPtr, IntPtr, Double, ref SDL.SDL_Point, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, IntPtr srcrect, IntPtr dstrect, double angle, ref SDL.SDL_Point center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
SDL.SDL_Point | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyEx(IntPtr, IntPtr, IntPtr, IntPtr, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyEx(IntPtr renderer, IntPtr texture, IntPtr srcrect, IntPtr dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyExF(IntPtr, IntPtr, ref SDL.SDL_Rect, ref SDL.SDL_FRect, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyExF(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, ref SDL.SDL_FRect dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
SDL.SDL_FRect | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyExF(IntPtr, IntPtr, ref SDL.SDL_Rect, IntPtr, Double, ref SDL.SDL_FPoint, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyExF(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, IntPtr dstrect, double angle, ref SDL.SDL_FPoint center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
SDL.SDL_FPoint | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyExF(IntPtr, IntPtr, ref SDL.SDL_Rect, IntPtr, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyExF(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, IntPtr dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyExF(IntPtr, IntPtr, IntPtr, ref SDL.SDL_FRect, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyExF(IntPtr renderer, IntPtr texture, IntPtr srcrect, ref SDL.SDL_FRect dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
SDL.SDL_FRect | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyExF(IntPtr, IntPtr, IntPtr, IntPtr, Double, ref SDL.SDL_FPoint, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyExF(IntPtr renderer, IntPtr texture, IntPtr srcrect, IntPtr dstrect, double angle, ref SDL.SDL_FPoint center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
SDL.SDL_FPoint | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyExF(IntPtr, IntPtr, IntPtr, IntPtr, Double, IntPtr, SDL.SDL_RendererFlip)

##### Declaration

    public static extern int SDL_RenderCopyExF(IntPtr renderer, IntPtr texture, IntPtr srcrect, IntPtr dstrect, double angle, IntPtr center, SDL.SDL_RendererFlip flip)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
System.IntPtr | dstrect |
System.Double | angle |
System.IntPtr | center |
SDL.SDL_RendererFlip | flip |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyF(IntPtr, IntPtr, ref SDL.SDL_Rect, ref SDL.SDL_FRect)

##### Declaration

    public static extern int SDL_RenderCopyF(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, ref SDL.SDL_FRect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
SDL.SDL_FRect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyF(IntPtr, IntPtr, ref SDL.SDL_Rect, IntPtr)

##### Declaration

    public static extern int SDL_RenderCopyF(IntPtr renderer, IntPtr texture, ref SDL.SDL_Rect srcrect, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
SDL.SDL_Rect | srcrect |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyF(IntPtr, IntPtr, IntPtr, ref SDL.SDL_FRect)

##### Declaration

    public static extern int SDL_RenderCopyF(IntPtr renderer, IntPtr texture, IntPtr srcrect, ref SDL.SDL_FRect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
SDL.SDL_FRect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderCopyF(IntPtr, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderCopyF(IntPtr renderer, IntPtr texture, IntPtr srcrect, IntPtr dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |
System.IntPtr | srcrect |
System.IntPtr | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawLine(IntPtr, Int32, Int32, Int32, Int32)

##### Declaration

    public static extern int SDL_RenderDrawLine(IntPtr renderer, int x1, int y1, int x2, int y2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Int32 | x1 |
System.Int32 | y1 |
System.Int32 | x2 |
System.Int32 | y2 |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawLineF(IntPtr, Single, Single, Single, Single)

##### Declaration

    public static extern int SDL_RenderDrawLineF(IntPtr renderer, float x1, float y1, float x2, float y2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Single | x1 |
System.Single | y1 |
System.Single | x2 |
System.Single | y2 |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawLines(IntPtr, SDL.SDL_Point[], Int32)

##### Declaration

    public static extern int SDL_RenderDrawLines(IntPtr renderer, SDL.SDL_Point[] points, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Point[] | points |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawLinesF(IntPtr, SDL.SDL_FPoint[], Int32)

##### Declaration

    public static extern int SDL_RenderDrawLinesF(IntPtr renderer, SDL.SDL_FPoint[] points, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_FPoint[] | points |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawPoint(IntPtr, Int32, Int32)

##### Declaration

    public static extern int SDL_RenderDrawPoint(IntPtr renderer, int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawPointF(IntPtr, Single, Single)

##### Declaration

    public static extern int SDL_RenderDrawPointF(IntPtr renderer, float x, float y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Single | x |
System.Single | y |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawPoints(IntPtr, SDL.SDL_Point[], Int32)

##### Declaration

    public static extern int SDL_RenderDrawPoints(IntPtr renderer, SDL.SDL_Point[] points, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Point[] | points |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawPointsF(IntPtr, SDL.SDL_FPoint[], Int32)

##### Declaration

    public static extern int SDL_RenderDrawPointsF(IntPtr renderer, SDL.SDL_FPoint[] points, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_FPoint[] | points |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawRect(IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderDrawRect(IntPtr renderer, ref SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawRect(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderDrawRect(IntPtr renderer, IntPtr rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawRectF(IntPtr, ref SDL.SDL_FRect)

##### Declaration

    public static extern int SDL_RenderDrawRectF(IntPtr renderer, ref SDL.SDL_FRect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_FRect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawRectF(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderDrawRectF(IntPtr renderer, IntPtr rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawRects(IntPtr, SDL.SDL_Rect[], Int32)

##### Declaration

    public static extern int SDL_RenderDrawRects(IntPtr renderer, SDL.SDL_Rect[] rects, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect[] | rects |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderDrawRectsF(IntPtr, SDL.SDL_FRect[], Int32)

##### Declaration

    public static extern int SDL_RenderDrawRectsF(IntPtr renderer, SDL.SDL_FRect[] rects, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_FRect[] | rects |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFillRect(IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderFillRect(IntPtr renderer, ref SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFillRect(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderFillRect(IntPtr renderer, IntPtr rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFillRectF(IntPtr, ref SDL.SDL_FRect)

##### Declaration

    public static extern int SDL_RenderFillRectF(IntPtr renderer, ref SDL.SDL_FRect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_FRect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFillRectF(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderFillRectF(IntPtr renderer, IntPtr rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFillRects(IntPtr, SDL.SDL_Rect[], Int32)

##### Declaration

    public static extern int SDL_RenderFillRects(IntPtr renderer, SDL.SDL_Rect[] rects, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect[] | rects |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFillRectsF(IntPtr, SDL.SDL_FRect[], Int32)

##### Declaration

    public static extern int SDL_RenderFillRectsF(IntPtr renderer, SDL.SDL_FRect[] rects, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_FRect[] | rects |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderFlush(IntPtr)

##### Declaration

    public static extern int SDL_RenderFlush(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderGetClipRect(IntPtr, out SDL.SDL_Rect)

##### Declaration

    public static extern void SDL_RenderGetClipRect(IntPtr renderer, out SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |

#### SDL_RenderGetLogicalSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_RenderGetLogicalSize(IntPtr renderer, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Int32 | w |
System.Int32 | h |

#### SDL_RenderGetMetalCommandEncoder(IntPtr)

##### Declaration

    public static extern IntPtr SDL_RenderGetMetalCommandEncoder(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_RenderGetMetalLayer(IntPtr)

##### Declaration

    public static extern IntPtr SDL_RenderGetMetalLayer(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_RenderGetScale(IntPtr, out Single, out Single)

##### Declaration

    public static extern void SDL_RenderGetScale(IntPtr renderer, out float scaleX, out float scaleY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Single | scaleX |
System.Single | scaleY |

#### SDL_RenderGetViewport(IntPtr, out SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderGetViewport(IntPtr renderer, out SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderIsClipEnabled(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_RenderIsClipEnabled(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_RenderPresent(IntPtr)

##### Declaration

    public static extern void SDL_RenderPresent(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

#### SDL_RenderReadPixels(IntPtr, ref SDL.SDL_Rect, UInt32, IntPtr, Int32)

##### Declaration

    public static extern int SDL_RenderReadPixels(IntPtr renderer, ref SDL.SDL_Rect rect, uint format, IntPtr pixels, int pitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |
System.UInt32 | format |
System.IntPtr | pixels |
System.Int32 | pitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderSetClipRect(IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderSetClipRect(IntPtr renderer, ref SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderSetClipRect(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_RenderSetClipRect(IntPtr renderer, IntPtr rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderSetIntegerScale(IntPtr, SDL.SDL_bool)

##### Declaration

    public static extern int SDL_RenderSetIntegerScale(IntPtr renderer, SDL.SDL_bool enable)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_bool | enable |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderSetLogicalSize(IntPtr, Int32, Int32)

##### Declaration

    public static extern int SDL_RenderSetLogicalSize(IntPtr renderer, int w, int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Int32 | w |
System.Int32 | h |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderSetScale(IntPtr, Single, Single)

##### Declaration

    public static extern int SDL_RenderSetScale(IntPtr renderer, float scaleX, float scaleY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Single | scaleX |
System.Single | scaleY |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderSetViewport(IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_RenderSetViewport(IntPtr renderer, ref SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_RenderTargetSupported(IntPtr)

##### Declaration

    public static extern SDL.SDL_bool SDL_RenderTargetSupported(IntPtr renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_RestoreWindow(IntPtr)

##### Declaration

    public static extern void SDL_RestoreWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_RWclose(IntPtr)

##### Declaration

    public static extern long SDL_RWclose(IntPtr context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |

##### Returns

Type | Description
--- | ---
System.Int64 |

#### SDL_RWFromConstMem(IntPtr, Int32)

##### Declaration

    public static extern IntPtr SDL_RWFromConstMem(IntPtr mem, int size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | mem |
System.Int32 | size |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_RWFromFile(String, String)

##### Declaration

    public static IntPtr SDL_RWFromFile(string file, string mode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | file |
System.String | mode |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_RWFromFP(IntPtr, SDL.SDL_bool)

##### Declaration

    public static extern IntPtr SDL_RWFromFP(IntPtr fp, SDL.SDL_bool autoclose)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | fp |
SDL.SDL_bool | autoclose |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_RWFromMem(IntPtr, Int32)

##### Declaration

    public static extern IntPtr SDL_RWFromMem(IntPtr mem, int size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | mem |
System.Int32 | size |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_RWread(IntPtr, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static extern long SDL_RWread(IntPtr context, IntPtr ptr, IntPtr size, IntPtr maxnum)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |
System.IntPtr | ptr |
System.IntPtr | size |
System.IntPtr | maxnum |

##### Returns

Type | Description
--- | ---
System.Int64 |

#### SDL_RWseek(IntPtr, Int64, Int32)

##### Declaration

    public static extern long SDL_RWseek(IntPtr context, long offset, int whence)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |
System.Int64 | offset |
System.Int32 | whence |

##### Returns

Type | Description
--- | ---
System.Int64 |

#### SDL_RWsize(IntPtr)

##### Declaration

    public static extern long SDL_RWsize(IntPtr context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |

##### Returns

Type | Description
--- | ---
System.Int64 |

#### SDL_RWtell(IntPtr)

##### Declaration

    public static extern long SDL_RWtell(IntPtr context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |

##### Returns

Type | Description
--- | ---
System.Int64 |

#### SDL_RWwrite(IntPtr, IntPtr, IntPtr, IntPtr)

##### Declaration

    public static extern long SDL_RWwrite(IntPtr context, IntPtr ptr, IntPtr size, IntPtr maxnum)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | context |
System.IntPtr | ptr |
System.IntPtr | size |
System.IntPtr | maxnum |

##### Returns

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### SDL_SaveBMP(IntPtr, String)

##### Declaration

    public static int SDL_SaveBMP(IntPtr surface, string file)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.String | file |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_SCANCODE_TO_KEYCODE(SDL.SDL_Scancode)

##### Declaration

    public static SDL.SDL_Keycode SDL_SCANCODE_TO_KEYCODE(SDL.SDL_Scancode X)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Scancode | X |

##### Returns

Type | Description
--- | ---
SDL.SDL_Keycode |

#### SDL_SensorClose(IntPtr)

##### Declaration

    public static extern void SDL_SensorClose(IntPtr sensor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sensor |

#### SDL_SensorFromInstanceID(Int32)

##### Declaration

    public static extern IntPtr SDL_SensorFromInstanceID(int instance_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | instance_id |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_SensorGetData(IntPtr, Single[], Int32)

##### Declaration

    public static extern int SDL_SensorGetData(IntPtr sensor, float[] data, int num_values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sensor |
System.Single[] | data |
System.Int32 | num_values |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SensorGetDeviceInstanceID(Int32)

##### Declaration

    public static extern int SDL_SensorGetDeviceInstanceID(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_SensorGetDeviceName(Int32)

##### Declaration

    public static string SDL_SensorGetDeviceName(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_SensorGetDeviceNonPortableType(Int32)

##### Declaration

    public static extern int SDL_SensorGetDeviceNonPortableType(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SensorGetDeviceType(Int32)

##### Declaration

    public static extern SDL.SDL_SensorType SDL_SensorGetDeviceType(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
SDL.SDL_SensorType |

#### SDL_SensorGetInstanceID(IntPtr)

##### Declaration

    public static extern int SDL_SensorGetInstanceID(IntPtr sensor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sensor |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_SensorGetName(IntPtr)

##### Declaration

    public static string SDL_SensorGetName(IntPtr sensor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sensor |

##### Returns

Type | Description
--- | ---
System.String |

#### SDL_SensorGetNonPortableType(IntPtr)

##### Declaration

    public static extern int SDL_SensorGetNonPortableType(IntPtr sensor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sensor |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SensorGetType(IntPtr)

##### Declaration

    public static extern SDL.SDL_SensorType SDL_SensorGetType(IntPtr sensor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sensor |

##### Returns

Type | Description
--- | ---
SDL.SDL_SensorType |

#### SDL_SensorOpen(Int32)

##### Declaration

    public static extern IntPtr SDL_SensorOpen(int device_index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | device_index |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_SensorUpdate()

##### Declaration

    public static extern void SDL_SensorUpdate()

| Improve this Doc View Source

#### SDL_SetClipboardText(String)

##### Declaration

    public static int SDL_SetClipboardText(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetClipRect(IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern SDL.SDL_bool SDL_SetClipRect(IntPtr surface, ref SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
SDL.SDL_Rect | rect |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_SetColorKey(IntPtr, Int32, UInt32)

##### Declaration

    public static extern int SDL_SetColorKey(IntPtr surface, int flag, uint key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Int32 | flag |
System.UInt32 | key |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetCursor(IntPtr)

##### Declaration

    public static extern void SDL_SetCursor(IntPtr cursor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | cursor |

| Improve this Doc View Source

#### SDL_SetError(String)

##### Declaration

    public static void SDL_SetError(string fmtAndArglist)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fmtAndArglist |

#### SDL_SetEventFilter(SDL.SDL_EventFilter, IntPtr)

##### Declaration

    public static extern void SDL_SetEventFilter(SDL.SDL_EventFilter filter, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_EventFilter | filter |
System.IntPtr | userdata |

| Improve this Doc View Source

#### SDL_SetHint(String, String)

##### Declaration

    public static SDL.SDL_bool SDL_SetHint(string name, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | value |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

| Improve this Doc View Source

#### SDL_SetHintWithPriority(String, String, SDL.SDL_HintPriority)

##### Declaration

    public static SDL.SDL_bool SDL_SetHintWithPriority(string name, string value, SDL.SDL_HintPriority priority)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | value |
SDL.SDL_HintPriority | priority |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_SetMainReady()

##### Declaration

    public static extern void SDL_SetMainReady()

#### SDL_SetModState(SDL.SDL_Keymod)

##### Declaration

    public static extern void SDL_SetModState(SDL.SDL_Keymod modstate)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Keymod | modstate |

#### SDL_SetPaletteColors(IntPtr, SDL.SDL_Color[], Int32, Int32)

##### Declaration

    public static extern int SDL_SetPaletteColors(IntPtr palette, SDL.SDL_Color[] colors, int firstcolor, int ncolors)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | palette |
SDL.SDL_Color[] | colors |
System.Int32 | firstcolor |
System.Int32 | ncolors |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetPixelFormatPalette(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_SetPixelFormatPalette(IntPtr format, IntPtr palette)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | format |
System.IntPtr | palette |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetRelativeMouseMode(SDL.SDL_bool)

##### Declaration

    public static extern int SDL_SetRelativeMouseMode(SDL.SDL_bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_bool | enabled |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetRenderDrawBlendMode(IntPtr, SDL.SDL_BlendMode)

##### Declaration

    public static extern int SDL_SetRenderDrawBlendMode(IntPtr renderer, SDL.SDL_BlendMode blendMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
SDL.SDL_BlendMode | blendMode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetRenderDrawColor(IntPtr, Byte, Byte, Byte, Byte)

##### Declaration

    public static extern int SDL_SetRenderDrawColor(IntPtr renderer, byte r, byte g, byte b, byte a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.Byte | r |
System.Byte | g |
System.Byte | b |
System.Byte | a |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetRenderTarget(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_SetRenderTarget(IntPtr renderer, IntPtr texture)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | renderer |
System.IntPtr | texture |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetSurfaceAlphaMod(IntPtr, Byte)

##### Declaration

    public static extern int SDL_SetSurfaceAlphaMod(IntPtr surface, byte alpha)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Byte | alpha |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetSurfaceBlendMode(IntPtr, SDL.SDL_BlendMode)

##### Declaration

    public static extern int SDL_SetSurfaceBlendMode(IntPtr surface, SDL.SDL_BlendMode blendMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
SDL.SDL_BlendMode | blendMode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetSurfaceColorMod(IntPtr, Byte, Byte, Byte)

##### Declaration

    public static extern int SDL_SetSurfaceColorMod(IntPtr surface, byte r, byte g, byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Byte | r |
System.Byte | g |
System.Byte | b |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetSurfacePalette(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_SetSurfacePalette(IntPtr surface, IntPtr palette)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.IntPtr | palette |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetSurfaceRLE(IntPtr, Int32)

##### Declaration

    public static extern int SDL_SetSurfaceRLE(IntPtr surface, int flag)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |
System.Int32 | flag |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetTextInputRect(ref SDL.SDL_Rect)

##### Declaration

    public static extern void SDL_SetTextInputRect(ref SDL.SDL_Rect rect)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | rect |

#### SDL_SetTextureAlphaMod(IntPtr, Byte)

##### Declaration

    public static extern int SDL_SetTextureAlphaMod(IntPtr texture, byte alpha)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.Byte | alpha |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetTextureBlendMode(IntPtr, SDL.SDL_BlendMode)

##### Declaration

    public static extern int SDL_SetTextureBlendMode(IntPtr texture, SDL.SDL_BlendMode blendMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
SDL.SDL_BlendMode | blendMode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetTextureColorMod(IntPtr, Byte, Byte, Byte)

##### Declaration

    public static extern int SDL_SetTextureColorMod(IntPtr texture, byte r, byte g, byte b)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.Byte | r |
System.Byte | g |
System.Byte | b |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowBordered(IntPtr, SDL.SDL_bool)

##### Declaration

    public static extern void SDL_SetWindowBordered(IntPtr window, SDL.SDL_bool bordered)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_bool | bordered |

#### SDL_SetWindowBrightness(IntPtr, Single)

##### Declaration

    public static extern int SDL_SetWindowBrightness(IntPtr window, float brightness)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Single | brightness |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_SetWindowData(IntPtr, String, IntPtr)

##### Declaration

    public static IntPtr SDL_SetWindowData(IntPtr window, string name, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.String | name |
System.IntPtr | userdata |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_SetWindowDisplayMode(IntPtr, ref SDL.SDL_DisplayMode)

##### Declaration

    public static extern int SDL_SetWindowDisplayMode(IntPtr window, ref SDL.SDL_DisplayMode mode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_DisplayMode | mode |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowFullscreen(IntPtr, UInt32)

##### Declaration

    public static extern int SDL_SetWindowFullscreen(IntPtr window, uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.UInt32 | flags |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowGammaRamp(IntPtr, UInt16[], UInt16[], UInt16[])

##### Declaration

    public static extern int SDL_SetWindowGammaRamp(IntPtr window, ushort[] red, ushort[] green, ushort[] blue)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.UInt16[] | red |
System.UInt16[] | green |
System.UInt16[] | blue |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowGrab(IntPtr, SDL.SDL_bool)

##### Declaration

    public static extern void SDL_SetWindowGrab(IntPtr window, SDL.SDL_bool grabbed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_bool | grabbed |

#### SDL_SetWindowHitTest(IntPtr, SDL.SDL_HitTest, IntPtr)

##### Declaration

    public static extern int SDL_SetWindowHitTest(IntPtr window, SDL.SDL_HitTest callback, IntPtr callback_data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_HitTest | callback |
System.IntPtr | callback_data |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowIcon(IntPtr, IntPtr)

##### Declaration

    public static extern void SDL_SetWindowIcon(IntPtr window, IntPtr icon)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.IntPtr | icon |

#### SDL_SetWindowInputFocus(IntPtr)

##### Declaration

    public static extern int SDL_SetWindowInputFocus(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowMaximumSize(IntPtr, Int32, Int32)

##### Declaration

    public static extern void SDL_SetWindowMaximumSize(IntPtr window, int max_w, int max_h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | max_w |
System.Int32 | max_h |

#### SDL_SetWindowMinimumSize(IntPtr, Int32, Int32)

##### Declaration

    public static extern void SDL_SetWindowMinimumSize(IntPtr window, int min_w, int min_h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | min_w |
System.Int32 | min_h |

#### SDL_SetWindowModalFor(IntPtr, IntPtr)

##### Declaration

    public static extern int SDL_SetWindowModalFor(IntPtr modal_window, IntPtr parent_window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | modal_window |
System.IntPtr | parent_window |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowOpacity(IntPtr, Single)

##### Declaration

    public static extern int SDL_SetWindowOpacity(IntPtr window, float opacity)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Single | opacity |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_SetWindowPosition(IntPtr, Int32, Int32)

##### Declaration

    public static extern void SDL_SetWindowPosition(IntPtr window, int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | x |
System.Int32 | y |

#### SDL_SetWindowResizable(IntPtr, SDL.SDL_bool)

##### Declaration

    public static extern void SDL_SetWindowResizable(IntPtr window, SDL.SDL_bool resizable)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_bool | resizable |

#### SDL_SetWindowSize(IntPtr, Int32, Int32)

##### Declaration

    public static extern void SDL_SetWindowSize(IntPtr window, int w, int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | w |
System.Int32 | h |

#### SDL_SetWindowsMessageHook(SDL.SDL_WindowsMessageHook, IntPtr)

##### Declaration

    public static extern void SDL_SetWindowsMessageHook(SDL.SDL_WindowsMessageHook callback, IntPtr userdata)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_WindowsMessageHook | callback |
System.IntPtr | userdata |

| Improve this Doc View Source

#### SDL_SetWindowTitle(IntPtr, String)

##### Declaration

    public static void SDL_SetWindowTitle(IntPtr window, string title)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.String | title |

#### SDL_ShowCursor(Int32)

##### Declaration

    public static extern int SDL_ShowCursor(int toggle)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | toggle |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_ShowMessageBox(ref SDL.SDL_MessageBoxData, out Int32)

##### Declaration

    public static int SDL_ShowMessageBox(ref SDL.SDL_MessageBoxData messageboxdata, out int buttonid)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_MessageBoxData | messageboxdata |
System.Int32 | buttonid |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_ShowSimpleMessageBox(SDL.SDL_MessageBoxFlags, String, String, IntPtr)

##### Declaration

    public static int SDL_ShowSimpleMessageBox(SDL.SDL_MessageBoxFlags flags, string title, string message, IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_MessageBoxFlags | flags |
System.String | title |
System.String | message |
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_ShowWindow(IntPtr)

##### Declaration

    public static extern void SDL_ShowWindow(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

#### SDL_SIMDAlloc(UInt32)

##### Declaration

    public static extern IntPtr SDL_SIMDAlloc(uint len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | len |

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### SDL_SIMDFree(IntPtr)

##### Declaration

    public static extern void SDL_SIMDFree(IntPtr ptr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ptr |

#### SDL_SIMDGetAlignment()

##### Declaration

    public static extern uint SDL_SIMDGetAlignment()

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_SoftStretch(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_SoftStretch(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_StartTextInput()

##### Declaration

    public static extern void SDL_StartTextInput()

#### SDL_StopTextInput()

##### Declaration

    public static extern void SDL_StopTextInput()

| Improve this Doc View Source

#### SDL_TICKS_PASSED(UInt32, UInt32)

##### Declaration

    public static bool SDL_TICKS_PASSED(uint A, uint B)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | A |
System.UInt32 | B |

##### Returns

Type | Description
--- | ---
System.Boolean |

#### SDL_UIKitRunApp(Int32, IntPtr, SDL.SDL_main_func)

##### Declaration

    public static extern int SDL_UIKitRunApp(int argc, IntPtr argv, SDL.SDL_main_func mainFunction)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | argc |
System.IntPtr | argv |
SDL.SDL_main_func | mainFunction |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UnionRect(ref SDL.SDL_Rect, ref SDL.SDL_Rect, out SDL.SDL_Rect)

##### Declaration

    public static extern void SDL_UnionRect(ref SDL.SDL_Rect A, ref SDL.SDL_Rect B, out SDL.SDL_Rect result)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Rect | A |
SDL.SDL_Rect | B |
SDL.SDL_Rect | result |

#### SDL_UnlockAudio()

##### Declaration

    public static extern void SDL_UnlockAudio()

#### SDL_UnlockAudioDevice(UInt32)

##### Declaration

    public static extern void SDL_UnlockAudioDevice(uint dev)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | dev |

#### SDL_UnlockJoysticks()

##### Declaration

    public static extern void SDL_UnlockJoysticks()

#### SDL_UnlockSurface(IntPtr)

##### Declaration

    public static extern void SDL_UnlockSurface(IntPtr surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | surface |

#### SDL_UnlockTexture(IntPtr)

##### Declaration

    public static extern void SDL_UnlockTexture(IntPtr texture)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |

#### SDL_UpdateTexture(IntPtr, ref SDL.SDL_Rect, IntPtr, Int32)

##### Declaration

    public static extern int SDL_UpdateTexture(IntPtr texture, ref SDL.SDL_Rect rect, IntPtr pixels, int pitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
SDL.SDL_Rect | rect |
System.IntPtr | pixels |
System.Int32 | pitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UpdateTexture(IntPtr, IntPtr, IntPtr, Int32)

##### Declaration

    public static extern int SDL_UpdateTexture(IntPtr texture, IntPtr rect, IntPtr pixels, int pitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
System.IntPtr | rect |
System.IntPtr | pixels |
System.Int32 | pitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UpdateWindowSurface(IntPtr)

##### Declaration

    public static extern int SDL_UpdateWindowSurface(IntPtr window)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UpdateWindowSurfaceRects(IntPtr, SDL.SDL_Rect[], Int32)

##### Declaration

    public static extern int SDL_UpdateWindowSurfaceRects(IntPtr window, SDL.SDL_Rect[] rects, int numrects)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
SDL.SDL_Rect[] | rects |
System.Int32 | numrects |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UpdateYUVTexture(IntPtr, ref SDL.SDL_Rect, IntPtr, Int32, IntPtr, Int32, IntPtr, Int32)

##### Declaration

    public static extern int SDL_UpdateYUVTexture(IntPtr texture, ref SDL.SDL_Rect rect, IntPtr yPlane, int yPitch, IntPtr uPlane, int uPitch, IntPtr vPlane, int vPitch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | texture |
SDL.SDL_Rect | rect |
System.IntPtr | yPlane |
System.Int32 | yPitch |
System.IntPtr | uPlane |
System.Int32 | uPitch |
System.IntPtr | vPlane |
System.Int32 | vPitch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UpperBlit(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_UpperBlit(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_UpperBlitScaled(IntPtr, ref SDL.SDL_Rect, IntPtr, ref SDL.SDL_Rect)

##### Declaration

    public static extern int SDL_UpperBlitScaled(IntPtr src, ref SDL.SDL_Rect srcrect, IntPtr dst, ref SDL.SDL_Rect dstrect)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | src |
SDL.SDL_Rect | srcrect |
System.IntPtr | dst |
SDL.SDL_Rect | dstrect |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_VERSION(out SDL.SDL_version)

##### Declaration

    public static void SDL_VERSION(out SDL.SDL_version x)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_version | x |

| Improve this Doc View Source

#### SDL_VERSION_ATLEAST(Int32, Int32, Int32)

##### Declaration

    public static bool SDL_VERSION_ATLEAST(int X, int Y, int Z)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | X |
System.Int32 | Y |
System.Int32 | Z |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_VERSIONNUM(Int32, Int32, Int32)

##### Declaration

    public static int SDL_VERSIONNUM(int X, int Y, int Z)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | X |
System.Int32 | Y |
System.Int32 | Z |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_VideoInit(String)

##### Declaration

    public static int SDL_VideoInit(string driver_name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | driver_name |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_VideoQuit()

##### Declaration

    public static extern void SDL_VideoQuit()

#### SDL_Vulkan_CreateSurface(IntPtr, IntPtr, out UInt64)

##### Declaration

    public static extern SDL.SDL_bool SDL_Vulkan_CreateSurface(IntPtr window, IntPtr instance, out ulong surface)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.IntPtr | instance |
System.UInt64 | surface |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_Vulkan_GetDrawableSize(IntPtr, out Int32, out Int32)

##### Declaration

    public static extern void SDL_Vulkan_GetDrawableSize(IntPtr window, out int w, out int h)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | w |
System.Int32 | h |

#### SDL_Vulkan_GetInstanceExtensions(IntPtr, out UInt32, IntPtr[])

##### Declaration

    public static extern SDL.SDL_bool SDL_Vulkan_GetInstanceExtensions(IntPtr window, out uint pCount, IntPtr[] pNames)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.UInt32 | pCount |
System.IntPtr[] | pNames |

##### Returns

Type | Description
--- | ---
SDL.SDL_bool |

#### SDL_Vulkan_GetVkGetInstanceProcAddr()

##### Declaration

    public static extern IntPtr SDL_Vulkan_GetVkGetInstanceProcAddr()

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SDL_Vulkan_LoadLibrary(String)

##### Declaration

    public static int SDL_Vulkan_LoadLibrary(string path)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_Vulkan_UnloadLibrary()

##### Declaration

    public static extern void SDL_Vulkan_UnloadLibrary()

#### SDL_WaitEvent(out SDL.SDL_Event)

##### Declaration

    public static extern int SDL_WaitEvent(out SDL.SDL_Event _event)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Event | _event |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_WaitEventTimeout(out SDL.SDL_Event, Int32)

##### Declaration

    public static extern int SDL_WaitEventTimeout(out SDL.SDL_Event _event, int timeout)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_Event | _event |
System.Int32 | timeout |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_WarpMouseGlobal(Int32, Int32)

##### Declaration

    public static extern int SDL_WarpMouseGlobal(int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_WarpMouseInWindow(IntPtr, Int32, Int32)

##### Declaration

    public static extern void SDL_WarpMouseInWindow(IntPtr window, int x, int y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | window |
System.Int32 | x |
System.Int32 | y |

#### SDL_WasInit(UInt32)

##### Declaration

    public static extern uint SDL_WasInit(uint flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | flags |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SDL_WINDOWPOS_CENTERED_DISPLAY(Int32)

##### Declaration

    public static int SDL_WINDOWPOS_CENTERED_DISPLAY(int X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | X |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SDL_WINDOWPOS_ISCENTERED(Int32)

##### Declaration

    public static bool SDL_WINDOWPOS_ISCENTERED(int X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | X |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_WINDOWPOS_ISUNDEFINED(Int32)

##### Declaration

    public static bool SDL_WINDOWPOS_ISUNDEFINED(int X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | X |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SDL_WINDOWPOS_UNDEFINED_DISPLAY(Int32)

##### Declaration

    public static int SDL_WINDOWPOS_UNDEFINED_DISPLAY(int X)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | X |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_WinRTGetDeviceFamily()

##### Declaration

    public static extern SDL.SDL_WinRT_DeviceFamily SDL_WinRTGetDeviceFamily()

##### Returns

Type | Description
--- | ---
SDL.SDL_WinRT_DeviceFamily |

#### SDL_WinRTRunApp(SDL.SDL_main_func, IntPtr)

##### Declaration

    public static extern int SDL_WinRTRunApp(SDL.SDL_main_func mainFunction, IntPtr reserved)

##### Parameters

Type | Name | Description
--- | --- | ---
SDL.SDL_main_func | mainFunction |
System.IntPtr | reserved |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### SDL_WriteBE16(IntPtr, UInt16)

##### Declaration

    public static extern uint SDL_WriteBE16(IntPtr dst, ushort value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.UInt16 | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_WriteBE32(IntPtr, UInt32)

##### Declaration

    public static extern uint SDL_WriteBE32(IntPtr dst, uint value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.UInt32 | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_WriteBE64(IntPtr, UInt64)

##### Declaration

    public static extern uint SDL_WriteBE64(IntPtr dst, ulong value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.UInt64 | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_WriteLE16(IntPtr, UInt16)

##### Declaration

    public static extern uint SDL_WriteLE16(IntPtr dst, ushort value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.UInt16 | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_WriteLE32(IntPtr, UInt32)

##### Declaration

    public static extern uint SDL_WriteLE32(IntPtr dst, uint value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.UInt32 | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_WriteLE64(IntPtr, UInt64)

##### Declaration

    public static extern uint SDL_WriteLE64(IntPtr dst, ulong value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.UInt64 | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

#### SDL_WriteU8(IntPtr, Byte)

##### Declaration

    public static extern uint SDL_WriteU8(IntPtr dst, byte value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dst |
System.Byte | value |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### UTF8_ToManaged(IntPtr, Boolean)

##### Declaration

    public static string UTF8_ToManaged(IntPtr s, bool freePtr = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | s |
System.Boolean | freePtr |

##### Returns

Type | Description
--- | ---
System.String |